<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductAttribute.ascx.cs" Inherits="Admin_Controls_ProductAttribute" %>
<%@ Register tagprefix="dsc" tagname="ImageUploader" src="~/Admin/controls/UploadImages.ascx" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/controls/DecimalTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/controls/NumberTextBox.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Panel id="pnlEmptyAttribute" runat="server" visible="false">
    You have not defined any global attribute yet. Please click <a href='<%= SiteNavigation.AttributesPage %>'>Attributes</a> to add attribute.
</asp:Panel>

<asp:Panel id="pnlAttribute" runat="server">
    <table class="gridViewTable">
        <tr>
            <th>Attribute</th>
            <th>Value</th>
            <th>Image</th>
            <th>Quantity</th>
            <th>Price Adjustment</th>
            <th></th>
        </tr>
        <asp:Repeater id="rptDisplay" runat="server">
            <ItemTemplate>
                <tr>
                    <td><%# Eval("Attribute.Name") %></td>
                    <td><%# Eval("Value.Value")%></td>
                    <td>
                        <dsc:ImageUploader id="iupSelectionValueImage" runat="server" imageid='<%# Eval("Value.ImageId") %>' multiimages="false" showdefaultimagecolumn="false" showtitle="false"></dsc:ImageUploader>
                    </td>
                    <td><%# Eval("Value.Quantity")%></td>
                    <td><%# Eval("Value.PriceAdjustment", "{0:C}")%></td>
                </tr>
            </ItemTemplate>
        </asp:Repeater>
        <asp:Repeater id="rptBulkEdit" runat="server" onitemdatabound="rptBulkEdit_ItemDataBound">
            <ItemTemplate>
                <tr>
                    <td>
                        <asp:DropDownList id="ddlAttributes" runat="server" datatextfield="Name" datavaluefield="AttributeId"></asp:DropDownList>
                    </td>
                    <td>
                        <asp:TextBox id="txtAttributeValue" runat="server" text='<%# Eval("Value.Value") %>'></asp:TextBox>
                        <asp:CustomValidator id="cvdAttributeValue" runat="server" onservervalidate="cvdAttributeValue_ServerValidate"
                            errormessage="Attribute Value is required." text="*" />
                    </td>
                    <td>
                        <dsc:ImageUploader id="iupSelectionValueImage" runat="server" imageid='<%# Eval("Value.ImageId") %>' multiimages="false" showdefaultimagecolumn="false" showtitle="false" readonly="false" showemptyimage="false" ></dsc:ImageUploader>
                    </td>
                    <td><dsc:NumberTextBox id="ntbQuantity" runat="server" text='<%# Eval("Value.Quantity") %>' name="Quantity" /></td>
                    <td>$ <dsc:DecimalTextBox id="dtbAttributePriceAdjustment" runat="server" text='<%# Eval("Value.PriceAdjustment", "{0:0.00}") %>' name="Price Adjustment" /></td>
                    <td><asp:Button id="btnDelete" runat="server" text="Delete" oncommand="btnDelete_Command" causesvalidation="false" /></td>                
                </tr>
            </ItemTemplate>
        </asp:Repeater>
    </table>   
    <div style="margin-top:10px;">
        <asp:Button id="btnAddRow" runat="server" text="Add More Rows" onclick="btnAddRow_Click" causesvalidation="false" />
    </div>
</asp:Panel>

