<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductBasic.ascx.cs" Inherits="Admin_Controls_ProductBasic" %>
<%@ Register tagprefix="dsc" tagname="DecimalTextBox" src="~/controls/DecimalTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/controls/NumberTextBox.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:DetailsView id="dvwProductBasic" runat="server" autogeneraterows="false" width="100%" defaultmode="ReadOnly" 
    ondatabound="dvwProductBasic_DataBound">
    <Fields>
        <asp:TemplateField headertext="Product Name:">
            <ItemTemplate>
                <%# Eval("ProductName")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">*</span>
                <span class="sign">&nbsp;</span>
                <asp:TextBox id="txtProductName" runat="server" text='<%# Bind("ProductName")%>' width="550px"></asp:TextBox>
                <asp:RequiredFieldValidator runat="server" id="rfvProductName" ControlToValidate="txtProductName" 
                    ErrorMessage='<%# string.Format("{0}Product Name is required.", ValidationErrorPrefix) %>' Text="*" />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="SKU:">
            <ItemTemplate>
                <%# Eval("SKU")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <span class="sign">&nbsp;</span>
                <asp:TextBox id="txtSKU" runat="server" text='<%# Bind("SKU")%>' width="550px" maxlength="50"></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Short Description:">
            <ItemTemplate>
                <%# Eval("ShortDescription")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <span class="sign">&nbsp;</span>
                <asp:TextBox id="txtShortDescription" runat="server" text='<%# Bind("ShortDescription")%>' textmode="MultiLine" rows="5" width="550px"></asp:TextBox>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Quantity:">
            <ItemTemplate>
                <%# Eval("Quantity")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <span class="sign">&nbsp;</span>
                <dsc:NumberTextBox id="ntbQuantity" runat="server" text='<%# Bind("Quantity")%>' width="300px" name="Quantity" />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Price:">
            <ItemTemplate>
                <%# Eval("Price", "{0:c}")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">*</span>
                <span class="sign">$</span>
                <dsc:DecimalTextBox id="dtbPrice" runat="server" text='<%# Bind("Price")%>' width="300px" required="true" 
                    name='<%# string.Format("{0}Price", ValidationErrorPrefix) %>' />
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Manufacturer:">
            <ItemTemplate>
                <%# Eval("Manufacturer.Name")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">*</span>
                <span class="sign">&nbsp;</span>
                <asp:DropDownList id="ddlManufacturer" runat="server" datatextfield="Name" datavaluefield="ManufacturerId" width="300px" />
            </EditItemTemplate>
        </asp:TemplateField>
        <%-- Status is not used right now
        <asp:TemplateField headertext="Status:">
            <ItemTemplate>
                <%# Eval("Status.Status")%>
            </ItemTemplate>
            <EditItemTemplate>
                <asp:ObjectDataSource id="odsStatusAll" runat="server" typename="DotShoppingCart.OpenSource.Core.ProductStatus" selectmethod="GetAll"></asp:ObjectDataSource>
                <asp:DropDownList id="ddlStatus" runat="server" datasourceid="odsStatusAll" datatextfield="Status" datavaluefield="StatusId"  
                    width="300px" selectedvalue='<%# Bind("StatusId") %>'></asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        --%>
        <asp:TemplateField headertext="Shipping Type:">
            <ItemTemplate>
                <%# Eval("ShipType.Type")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">*</span>
                <span class="sign">&nbsp;</span>
                <asp:ObjectDataSource id="odsShippingType" runat="server" typename="DotShoppingCart.OpenSource.Core.ShipType" selectmethod="GetAll"></asp:ObjectDataSource>
                <asp:DropDownList id="ddlShippingType" runat="server" datasourceid="odsShippingType" datatextfield="Type" datavaluefield="ShipTypeId" 
                        width="300px" selectedvalue='<%# Bind("ShipTypeId") %>'></asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Ship Estimate:">
            <ItemTemplate>
                <%# Eval("ShipEstimate.Estimate")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">*</span>
                <span class="sign">&nbsp;</span>
                <asp:DropDownList id="ddlShipEstimate" runat="server" datatextfield="Estimate" datavaluefield="ShipEstimateId" width="300px">
                </asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Tax Type:">
            <ItemTemplate>
                <%# Eval("TaxType.Type")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">*</span>
                <span class="sign">&nbsp;</span>
                <asp:ObjectDataSource id="ddsTaxType" runat="server" typename="DotShoppingCart.OpenSource.Core.TaxType" selectmethod="GetAll"></asp:ObjectDataSource>
                <asp:DropDownList id="ddlTaxType" runat="server" datasourceid="ddsTaxType" datatextfield="Type" datavaluefield="TaxTypeId" 
                    width="300px" selectedvalue='<%# Bind("TaxTypeId") %>'></asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Weight:">
            <ItemTemplate>
                <%# Eval("Weight")%> <%= StoreConfigurationSection.GetSection().ProductWeightUnit %>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <span class="sign">&nbsp;</span>
                <asp:ObjectDataSource id="odsWeightMeasure" runat="server" typename="DotShoppingCart.OpenSource.Core.Measure" selectmethod="GetAll">
                    <SelectParameters>
                        <asp:Parameter name="measureType" defaultvalue="Weight" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <dsc:DecimalTextBox id="dtbWeight" runat="server" text='<%# Bind("Weight")%>' width="145px" name="Weight" />
                <%= StoreConfigurationSection.GetSection().ProductWeightUnit %>
        <%-- 
                <asp:DropDownList id="ddlWeightMeasure" runat="server" datatextfield="MeasureName" datavaluefield="Id" width="145px" appenddatabounditems="true">
                    <asp:ListItem text="[N/A]" value=""></asp:ListItem>
                </asp:DropDownList>
        --%>
            </EditItemTemplate>
        </asp:TemplateField>
        <%-- 
        <asp:TemplateField headertext="Dimensions:">
            <ItemTemplate>
                L: <%# Eval("Length")%> <%# Eval("DimensionMeasure.MeasureName")%> 
                H: <%# Eval("Height")%> <%# Eval("DimensionMeasure.MeasureName")%> 
                W: <%# Eval("Width")%> <%# Eval("DimensionMeasure.MeasureName")%>
            </ItemTemplate>
            <EditItemTemplate>
                <span class="sign">&nbsp;</span>
                <span class="sign">&nbsp;</span>
                <asp:ObjectDataSource id="odsDimensionMeasure" runat="server" typename="DotShoppingCart.OpenSource.Core.Measure" selectmethod="GetAll">
                    <SelectParameters>
                        <asp:Parameter name="measureType" defaultvalue="Dimension" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                L <dsc:DecimalTextBox id="dtbLength" runat="server" text='<%# Bind("Length")%>' width="45px" name="Length" />
                H <dsc:DecimalTextBox id="dtbHeight" runat="server" text='<%# Bind("Height")%>' width="45px" name="Height" />
                W <dsc:DecimalTextBox id="dtbWidth" runat="server" text='<%# Bind("Width")%>' width="45px" name="Width" />
                <asp:DropDownList id="ddlDimensionMeasure" runat="server" datatextfield="MeasureName" datavaluefield="Id" width="80px" appenddatabounditems="true">
                    <asp:ListItem text="[N/A]" value=""></asp:ListItem>
                </asp:DropDownList>
            </EditItemTemplate>
        </asp:TemplateField>
        --%>
    </Fields>
</asp:DetailsView>
