//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Controls_ProductBasic : ValidatableUserControl {
    private Product product;

    public DetailsViewMode Mode {
        get { return dvwProductBasic.CurrentMode; }
        set { dvwProductBasic.ChangeMode(value); }
    }

    public Product Product {
        get { return product; }
        set { product = value; }
    }

    private string validationErrorPrefix;
    public string ValidationErrorPrefix {
        get { return validationErrorPrefix; }
        set { validationErrorPrefix = value; }
    }

    public string ProductName {
        get {
            TextBox txtProductName = (TextBox)dvwProductBasic.FindControl("txtProductName");
            if (null != txtProductName)
                return txtProductName.Text;
            return null;
        }
    }

    public string SKU {
        get {
            TextBox txtSKU = (TextBox)dvwProductBasic.FindControl("txtSKU");
            if (null != txtSKU)
                return txtSKU.Text;
            return null;
        }
    }

    public string ShortDescription {
        get {
            TextBox txtShortDescription = (TextBox)dvwProductBasic.FindControl("txtShortDescription");
            if (null != txtShortDescription)
                return txtShortDescription.Text;
            return null;
        }
    }

    public string Quantity {
        get {
            Controls_NumberTextBox ntbQuantity = (Controls_NumberTextBox)dvwProductBasic.FindControl("ntbQuantity");
            if (null != ntbQuantity)
                return ntbQuantity.Text;
            return null;
        }
    }

    public string Price {
        get {
            Controls_DecimalTextBox dtbPrice = (Controls_DecimalTextBox)dvwProductBasic.FindControl("dtbPrice");
            if (null != dtbPrice)
                return dtbPrice.MoneyValue.ToString();
            return null;
        }
    }

    public int ManufacturerId {
        get {
            DropDownList ddlManufacturer = (DropDownList)dvwProductBasic.FindControl("ddlManufacturer");
            return int.Parse(ddlManufacturer.SelectedValue);
        }
    }
    /*
    public string StatusType {
        get {
            DropDownList ddlStatus = (DropDownList)dvwProductBasic.FindControl("ddlStatus");
            if (null != ddlStatus)
                return ddlStatus.SelectedValue;
            return null;
        }
    }*/

    public string ShippingType {
        get {
            DropDownList ddlShippingType = (DropDownList)dvwProductBasic.FindControl("ddlShippingType");
            if (null != ddlShippingType)
                return ddlShippingType.SelectedValue;
            return null;
        }
    }

    public int ShipEstimateId {
        get {
            DropDownList ddlShipEstimate = (DropDownList)dvwProductBasic.FindControl("ddlShipEstimate");
            return int.Parse(ddlShipEstimate.SelectedValue);
        }
    }

    public string TaxType {
        get {
            DropDownList ddlTaxType = (DropDownList)dvwProductBasic.FindControl("ddlTaxType");
            if (null != ddlTaxType)
                return ddlTaxType.SelectedValue;
            return null;
        }
    }

    public string Weight {
        get {
            Controls_DecimalTextBox dtbWeight = (Controls_DecimalTextBox)dvwProductBasic.FindControl("dtbWeight");
            if (null != dtbWeight)
                return dtbWeight.Text;
            return null;
        }
    }

    public int? WeightMeasureId {
        get {
            return null;
            /*DropDownList ddlWeightMeasure = (DropDownList)dvwProductBasic.FindControl("ddlWeightMeasure");
            return Utils.ConvertNullableFromString<int?>(ddlWeightMeasure.SelectedValue);*/
        }
    }

    public string Length {
        get {
/*            Controls_DecimalTextBox dtbLength = (Controls_DecimalTextBox)dvwProductBasic.FindControl("dtbLength");
            if (null != dtbLength)
                return dtbLength.Text;
 */ 
            return null;
        }
    }

    public string Height {
        get {
/*            Controls_DecimalTextBox dtbHeight = (Controls_DecimalTextBox)dvwProductBasic.FindControl("dtbHeight");
            if (null != dtbHeight)
                return dtbHeight.Text;
 */
            return null;
        }
    }

    public string Width {
        get {
/*            Controls_DecimalTextBox dtbWidth = (Controls_DecimalTextBox)dvwProductBasic.FindControl("dtbWidth");
            if (null != dtbWidth)
                return dtbWidth.Text;
 */
            return null;
        }
    }

    public int? DimensionMeasureId {
        get {
            return null;
/*            DropDownList ddlDimensionMeasure = (DropDownList)dvwProductBasic.FindControl("ddlDimensionMeasure");
            return Utils.ConvertNullableFromString<int?>(ddlDimensionMeasure.SelectedValue);
 */ 
        }
    }

    protected override void OnDataBinding(EventArgs e) {
        base.OnDataBinding(e);

        dvwProductBasic.DataSource = new Product[] { product };
        dvwProductBasic.DataBind();
    }

    protected void dvwProductBasic_DataBound(object sender, EventArgs e) {
        if (dvwProductBasic.CurrentMode != DetailsViewMode.ReadOnly) {
            DropDownList ddlManufacturer = (DropDownList)dvwProductBasic.FindControl("ddlManufacturer");
            ddlManufacturer.DataSource = Manufacturer.GetAll();
            ddlManufacturer.DataBind();

            DropDownList ddlShipEstimate = (DropDownList)dvwProductBasic.FindControl("ddlShipEstimate");
            ddlShipEstimate.DataSource = ShipEstimate.GetAll();
            ddlShipEstimate.DataBind();

            /*
            DropDownList ddlWeightMeasure = (DropDownList)dvwProductBasic.FindControl("ddlWeightMeasure");
            ddlWeightMeasure.DataSource = Measure_Weight.GetAll();
            ddlWeightMeasure.DataBind();

            DropDownList ddlDimensionMeasure = (DropDownList)dvwProductBasic.FindControl("ddlDimensionMeasure");
            ddlDimensionMeasure.DataSource = Measure_Dimension.GetAll();
            ddlDimensionMeasure.DataBind();
            */

            Product product = (Product)dvwProductBasic.DataItem;
            if (null != product) {
                WebUtils.SetDropDownListSelected(ddlManufacturer, product.Manufacturer.ManufacturerId.ToString());
                WebUtils.SetDropDownListSelected(ddlShipEstimate, product.ShipEstimate.ShipEstimateId.ToString());
/*                if (null != product.WeightMeasure)
                    WebUtils.SetDropDownListSelected(ddlWeightMeasure, product.WeightMeasure.Id.ToString());
                if (null != product.DimensionMeasure)
                    WebUtils.SetDropDownListSelected(ddlDimensionMeasure, product.DimensionMeasure.Id.ToString());
 */ 
            }
        }
    }

}
