<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductDescriptorEdit.ascx.cs" Inherits="Admin_Controls_ProductDescriptorEdit" %>

<asp:GridView id="gvwDescriptorEdit" runat="server" autogeneratecolumns="false" onrowdeleting="gvwDescriptorEdit_RowDeleting" >
    <Columns>
        <asp:TemplateField headertext="Title" itemstyle-width="100px">
            <ItemTemplate>
                <asp:TextBox id="txtTitle" runat="server" text='<%#Bind("Title") %>' width="100px"></asp:TextBox>
            <asp:RequiredFieldValidator id="rfvTitle" runat="server" controltovalidate="txtTitle"
                errormessage="Tab: Descriptors -> Title is required.">*</asp:RequiredFieldValidator>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Description" itemstyle-width="600px">
            <ItemTemplate>
                <asp:TextBox id="txtDescription" runat="server" textmode="MultiLine" width="600px" rows="8" text='<%#Bind("Descriptor") %>'></asp:TextBox>
                <asp:RequiredFieldValidator id="rfvDescription" runat="server" controltovalidate="txtDescription" 
                    errormessage="Tab: Descriptors -> Description is required.">*</asp:RequiredFieldValidator>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Bulleted List" itemstyle-horizontalalign="Center">
            <ItemTemplate>
                <asp:CheckBox id="chkBulletedList" runat="server" checked='<%#Bind("IsBulletedList") %>' />
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField>
            <ItemTemplate>
                <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" causesvalidation="false" />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>

<h4>Add a New Descriptor</h4>
<asp:ValidationSummary id="vds" runat="server" validationgroup="AddDescriptor" />
<table>
    <tr>
        <td class="FormSectionText">Title:</td>
        <td>*</td>
        <td class="FormSectionValue"><asp:TextBox id="txtTitleAdd" runat="server" width="600px"></asp:TextBox>
            <asp:RequiredFieldValidator id="rfvTitle" runat="server" controltovalidate="txtTitleAdd" 
                errormessage="Tab: Descriptors -> Title is required." validationgroup="AddDescriptor">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">Description:</td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:TextBox id="txtDescriptionAdd" runat="server" textmode="MultiLine" width="600px" rows="8" maxlength="3800" />
            <asp:RequiredFieldValidator id="rfvDescription" runat="server" controltovalidate="txtDescriptionAdd" 
                errormessage="Tab: Descriptors -> Description is required." validationgroup="AddDescriptor">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">Bulleted List:</td>
        <td></td>
        <td class="FormSectionValue"><asp:CheckBox id="chkBulletedListAdd" runat="server" /></td>
    </tr>
</table>
<div><asp:Button id="btnAdd" runat="server" text="Add Descriptor" onclick="btnAdd_Click" validationgroup="AddDescriptor" /></div>
