//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Controls_ProductDescriptorEdit : System.Web.UI.UserControl {
    private List<ProductDescriptor> descriptors = null;
    private bool clear = false;

    public List<ProductDescriptor> Descriptors {
        get {
            List<ProductDescriptor> pd = new List<ProductDescriptor>();
            foreach (GridViewRow row in gvwDescriptorEdit.Rows) {
                pd.Add(new ProductDescriptor(((TextBox)row.FindControl("txtTitle")).Text,
                    ((TextBox)row.FindControl("txtDescription")).Text,
                    ((CheckBox)row.FindControl("chkBulletedList")).Checked));
            }
            return pd; 
        }
        set { descriptors = value; }
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        if (null != descriptors) {
            BindControls();
        }
        if (clear)
            ClearControls();
    }

    private void BindControls() {
        gvwDescriptorEdit.DataSource = descriptors;
        gvwDescriptorEdit.DataBind();
    }

    protected void gvwDescriptorEdit_RowDeleting(object sender, GridViewDeleteEventArgs e) {
        descriptors = Descriptors;
        descriptors.RemoveAt(e.RowIndex);
        BindControls();
    }

    protected void btnAdd_Click(object sender, EventArgs e) {
        if (Page.IsValid) {
            descriptors = Descriptors;
            descriptors.Add(new ProductDescriptor(txtTitleAdd.Text, txtDescriptionAdd.Text, chkBulletedListAdd.Checked));
            clear = true;
        }
    }

    private void ClearControls() {
        txtDescriptionAdd.Text = txtTitleAdd.Text = string.Empty;
        chkBulletedListAdd.Checked = false;
    }
}
