<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductSelector.ascx.cs" Inherits="Admin_Catalog_Controls_ProductSelector" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:ObjectDataSource id="odsCategory" runat="server" typename="DotShoppingCart.OpenSource.Core.Category" selectmethod="GetAll">
</asp:ObjectDataSource>
<div style="margin-bottom:4px;">
    Search Product: <asp:TextBox id="txtSearchProduct" runat="server" width="245px"></asp:TextBox>
    <asp:CustomValidator id="cvdSearch" runat="server" onservervalidate="cvdSearch_ServerValidate" validationgroup="search"
        errormessage="keyword is required when category filter is set to [All].">*</asp:CustomValidator>
    <asp:Button id="btnSearchProduct" runat="server" text="Search" validationgroup="search" onclick="btnSearchProduct_Click" />
</div>
<div style="margin-bottom:10px;">
    Category Filter: 
    <asp:DropDownList id="ddlCategory" runat="server" datasourceid="odsCategory" datatextfield="FullPath" 
        datavaluefield="CategoryId" width="250px" appenddatabounditems="true">
        <asp:ListItem text="[All]" value="0"></asp:ListItem>
    </asp:DropDownList>
</div>
<asp:ValidationSummary id="vdsSearch" runat="server" showsummary="true" validationgroup="search" />

<asp:ObjectDataSource id="odsProducts" runat="server" typename="DotShoppingCart.OpenSource.Core.Product"
    selectmethod="Search" deletemethod="Delete" sortparametername="sortBy"
    enablepaging="true" selectcountmethod="GetProductCount" startrowindexparametername="rowIndex" maximumrowsparametername="productPerPage">
    <SelectParameters>
        <asp:ControlParameter name="categoryId" type="int32" controlid="ddlCategory" propertyname="SelectedValue" />
        <asp:ControlParameter name="keywords" type="string" controlid="txtSearchProduct" propertyname="Text" convertemptystringtonull="true" />
    </SelectParameters>
</asp:ObjectDataSource>

<dsc:DSCGridView id="gvwProducts" runat="server" datasourceid="odsProducts" autogeneratecolumns="false" datakeynames="ProductId"
    allowsorting="true" allowpaging="true" pagesize="10" showrownumber="true" width="100%" >
    <Columns>
        <asp:TemplateField>
            <ItemTemplate>
                <asp:CheckBox id="chkSelect" runat="server" autopostback='<%# PostBackOnSelect %>' ></asp:CheckBox>
            </ItemTemplate> 
        </asp:TemplateField>
        <asp:TemplateField headertext="Product" sortexpression="productName" itemstyle-width="150px">
            <ItemTemplate>
                <a href='<%# string.Format("{0}?pid={1}", SiteNavigation.ProductEditPage, Eval("ProductId")) %>' target="_blank"><%# Eval("ProductName") %></a>
            </ItemTemplate> 
        </asp:TemplateField>
        <asp:BoundField headertext="SKU" datafield="SKU" sortexpression="sku" itemstyle-width="100px"/>
        <asp:TemplateField headertext="Image" itemstyle-width="100px">
            <ItemTemplate>
                <img alt="" src='<%# FileController.GetImageUrl((int?)Eval("DefaultImageId"), 80, 60) %>' />
            </ItemTemplate> 
        </asp:TemplateField>
    </Columns>
    <EmptyDataTemplate>
        No product found.
    </EmptyDataTemplate>
</dsc:DSCGridView>