<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="ProductEdit.aspx.cs" Inherits="Admin_Catalog_ProductEdit" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/Controls/TransitionalLabel.ascx" %>
<%@ Register tagprefix="dsc" tagname="ImageUploader" src="~/Admin/Controls/UploadImages.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductDescriptor" src="~/Store/ProductDescriptor.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductCategoryMap" src="Controls/ProductCategoryMap.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductDescriptorEdit" src="Controls/ProductDescriptorEdit.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductAttribute" src="Controls/ProductAttribute.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductBasic" src="Controls/ProductBasic.ascx" %>
<%@ Register tagprefix="dsc" tagname="ProductMiscellaneous" src="Controls/ProductMiscellaneous.ascx" %>

<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <h4><asp:Label id="lblMessage" runat="server"></asp:Label></h4>
    <asp:ValidationSummary id="vdsProduct" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true"/>
    <div><asp:Label id="lblError" runat="server" font-bold="true" forecolor="red" visible="false"></asp:Label></div>
    <asp:ObjectDataSource id="odsProduct" runat="server" typename="DotShoppingCart.OpenSource.Core.Product"
        selectmethod="Load" updatemethod="Update" deletemethod="Delete" insertmethod="Add" oninserted="odsProduct_Inserted" >
    </asp:ObjectDataSource>

    <asp:FormView id="fvwProduct" runat="server" datasourceid="odsProduct" datakeynames="ProductId" defaultmode="Edit" 
        onitemupdating="fvwProduct_ItemUpdating" oniteminserting="fvwProduct_ItemInserting" oniteminserted="fvwProduct_ItemInserted" 
        onitemupdated="fvwProduct_ItemUpdated" onmodechanging="fvwProduct_ModeChanging" onprerender="fvwProduct_PreRender" >
        <ItemTemplate>
            <div>
                <ajaxc:TabContainer id="tbcProduct" runat="server" activetabindex="1">
                    <ajaxc:TabPanel id="tabCategories" runat="server" headertext="Categories">
                        <ContentTemplate>
                            <dsc:ProductCategoryMap id="productCategoryMapView" runat="server" product="<%# GetDataItem() %>" />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tbpMain" runat="server" headertext="Main" >
                        <ContentTemplate>
                            <dsc:ProductBasic id="productBasicView" runat="server" product="<%# GetDataItem() %>" />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabImages" runat="server" headertext="Images">
                        <ContentTemplate>
                            <dsc:ImageUploader id="iupProductImageView" runat="server" images='<%# Eval("Images") %>'></dsc:ImageUploader>
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabAttributes" runat="server" headertext="Attributes">
                        <ContentTemplate>
                            <dsc:ProductAttribute id="productAttributeView" runat="server" productattributes='<%# Eval("ProductAttributes") %>'/>
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabDescriptors" runat="server" headertext="Descriptors">
                        <ContentTemplate>
                            <dsc:ProductDescriptor id="pdDescriptor" runat="server" descriptors='<%# Eval("ProductDescriptors") %>' />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabMiscellaneous" runat="server" headertext="Miscellaneous">
                        <ContentTemplate>
                            <dsc:ProductMiscellaneous id="productMiscellaneousView" runat="server" product="<%# GetDataItem() %>" />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                </ajaxc:TabContainer>
            </div>
            <div>
                <dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success" />
            </div>
            <div style="margin-top:10px;">
                <asp:Button id="btnEdit" runat="server" commandname="Edit" text="Edit Product" />
            </div>
        </ItemTemplate>
        <EditItemTemplate>
            <div>
                <ajaxc:TabContainer id="tbcProduct" runat="server" activetabindex="1">
                    <ajaxc:TabPanel id="tabCategories" runat="server" headertext="Categories">
                        <ContentTemplate>
                            <dsc:ProductCategoryMap id="productCategoryMap" runat="server" product="<%# GetDataItem() %>" readonly="false" />
                            <asp:CustomValidator id="cvdProductCategoryMap" runat="server" onservervalidate="cvdProductCategoryMap_ServerValidate" 
                                errormessage="Tab: Categories -> At least one category must be assigned.">*</asp:CustomValidator>
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabMain" runat="server" headertext="Main" >
                        <ContentTemplate>
                            <dsc:ProductBasic id="productBasic" runat="server" product="<%# GetDataItem() %>" mode="Edit" validationerrorprefix="Tab: Main -> " />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabImages" runat="server" headertext="Images">
                        <ContentTemplate>
                            <dsc:ImageUploader id="iupProductImage" runat="server" images='<%# Bind("Images") %>' readonly="false" />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabAttributes" runat="server" headertext="Attributes">
                        <ContentTemplate>
                            <dsc:ProductAttribute id="ProductAttribute" runat="server" productattributes='<%# Bind("ProductAttributes") %>' readonly="false" />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabDescriptors" runat="server" headertext="Descriptors" >
                        <ContentTemplate>
                            <dsc:ProductDescriptorEdit id="pdeDescriptorEdit" runat="server" descriptors='<%# Bind("ProductDescriptors") %>' />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                    <ajaxc:TabPanel id="tabMiscellaneous" runat="server" headertext="Miscellaneous">
                        <ContentTemplate>
                            <dsc:ProductMiscellaneous id="productMiscellaneous" runat="server" product="<%# GetDataItem() %>" mode="Edit" />
                        </ContentTemplate>
                    </ajaxc:TabPanel>
                </ajaxc:TabContainer>
            </div>
            <div>
                <dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success"/>
            </div>
            <div style="margin-top:5px;">
                <asp:Button id="btnUpdate" runat="server" text="Update" commandname="Update" />
                <asp:Button id="btnCancel" runat="server" text="Cancel" onclick="btnCancel_Click" causesvalidation="false" />
            </div>
        </EditItemTemplate>
    </asp:FormView>
</asp:Content>

