<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Products.aspx.cs" Inherits="Admin_Catalog_Products" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <asp:ObjectDataSource id="odsCategory" runat="server" typename="DotShoppingCart.OpenSource.Core.Category" selectmethod="GetAll">
    </asp:ObjectDataSource>
    <div style="margin-bottom:4px;">
        Search Product: <asp:TextBox id="txtSearchProduct" runat="server" width="200px"></asp:TextBox>
        <asp:CustomValidator id="cvdSearch" runat="server" onservervalidate="cvdSearch_ServerValidate" validationgroup="search"
            errormessage="keyword is required when category filter is set to [All].">*</asp:CustomValidator>
        &nbsp;&nbsp;
        Category Filter: 
        <asp:DropDownList id="ddlCategory" runat="server" datasourceid="odsCategory" datatextfield="FullPath" 
            datavaluefield="CategoryId" width="300px" appenddatabounditems="true" ondatabound="ddlCategory_DataBound">
            <asp:ListItem text="[All]" value="0"></asp:ListItem>
        </asp:DropDownList>&nbsp;&nbsp;
        <asp:Button id="btnSearchProduct" runat="server" text="Go" validationgroup="search" onclick="btnSearchProduct_Click" />
    </div>
    <div><dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success"/></div>
    <div style="margin-bottom:10px;"><asp:Button id="btnAddProduct" runat="server" /></div>
    <asp:ValidationSummary id="vdsSearch" runat="server" showsummary="true" validationgroup="search" />
    
    <asp:ObjectDataSource id="odsProducts" runat="server" typename="DotShoppingCart.OpenSource.Core.Product"
        selectmethod="Search" deletemethod="Delete" sortparametername="sortBy"
        enablepaging="true" selectcountmethod="GetProductCount" startrowindexparametername="rowIndex" maximumrowsparametername="productPerPage">
        <SelectParameters>
            <asp:ControlParameter name="categoryId" type="int32" controlid="ddlCategory" propertyname="SelectedValue" />
            <asp:ControlParameter name="keywords" type="string" controlid="txtSearchProduct" propertyname="Text" convertemptystringtonull="true" />
        </SelectParameters>
    </asp:ObjectDataSource>

    <dsc:DSCGridView id="gvwProducts" runat="server" datasourceid="odsProducts" autogeneratecolumns="false" datakeynames="ProductId"
        onrowdeleted="gvwProducts_RowDeleted" allowsorting="true" allowpaging="true" pagesize="10" showrownumber="true" >
        <Columns>
            <asp:TemplateField headertext="Product" sortexpression="productName" itemstyle-width="150px">
                <ItemTemplate>
                    <a href='<%# string.Format("{0}?pid={1}", SiteNavigation.ProductEditPage, Eval("ProductId")) %>'><%# Eval("ProductName") %></a>
                </ItemTemplate> 
            </asp:TemplateField>
            <asp:BoundField headertext="SKU" datafield="SKU" sortexpression="sku" itemstyle-width="100px"/>
            <asp:TemplateField headertext="Image" itemstyle-width="100px">
                <ItemTemplate>
                    <img alt="" src='<%# FileController.GetImageUrl((int?)Eval("DefaultImageId"), 80, 60) %>' />
                </ItemTemplate> 
            </asp:TemplateField>
            <asp:TemplateField headertext="Status" sortexpression="statusId" itemstyle-width="80px">
                <ItemTemplate>
                    <%# Eval("Status.Status") %>
                </ItemTemplate> 
            </asp:TemplateField>
            <asp:BoundField headertext="Price" datafield="OurPrice" dataformatstring="{0:c}" htmlencode="false" sortexpression="currentPrice" itemstyle-width="80px"/>
            <asp:BoundField headertext="Quantity" datafield="Quantity" dataformatstring="{0}" sortexpression="quantity" itemstyle-width="80px"/>
            <asp:TemplateField>
                <ItemTemplate>
                    <input type="button" onclick='<%# string.Format("javascript:window.location.href=\"{0}?pid={1}\";return false;", SiteNavigation.ProductEditPage, Eval("ProductId")) %>' value="Edit..." />
                    <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" />
                    <ajaxc:ConfirmButtonExtender ID="cbeDeleteConfirm" runat="server" TargetControlID="btnDelete" ConfirmText='Are you sure you want to delete this Product?' />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
        <EmptyDataTemplate>
            No product found.
        </EmptyDataTemplate>
    </dsc:DSCGridView>
</asp:Content>

