<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Admin_Default" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="DateRange" src="~/controls/DateRange.ascx" %>
<%@ Register tagprefix="dsc" tagname="RSSViewer" src="Controls/RssViewerControl.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <div style="margin-bottom:5px;">
        Date Range: <dsc:DateRange id="dateRange" runat="server" validationgroup="go" />
        <asp:Button id="btnSearch" runat="server" text="Go" validationgroup="go" />
    </div>
                
    <table id="tblContent" style="margin-bottom:160px;">
        <colgroup>
            <col style="width:33%;" />
            <col style="width:33%;" />
            <col style="width:33%;" />
        </colgroup>
        <tr>
            <td>
                <asp:ObjectDataSource id="odsUsers" runat="server" typename="DotShoppingCart.OpenSource.Core.User"
                    selectmethod="Search" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetUserCount" 
                    startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
                    <SelectParameters>
                        <asp:Parameter name="keywords" type="string" defaultvalue="" convertemptystringtonull="true" />
                        <asp:ControlParameter name="from" type="DateTime" controlid="dateRange" propertyname="From" />
                        <asp:ControlParameter name="to" type="DateTime" controlid="dateRange" propertyname="To" />
                    </SelectParameters>
                </asp:ObjectDataSource>

                <dsc:DSCGridView id="gvwUserList" runat="server" autogeneratecolumns="false" datasourceid="odsUsers" 
                    allowsorting="true" allowpaging="true" pagesize="20">
                    <Columns>
                        <asp:TemplateField headertext="New User" itemstyle-width="150px" sortexpression="FirstName">
                            <ItemTemplate>
                                <a href='<%# string.Format("{0}?uid={1}", SiteNavigation.UserEditPage, Eval("UserId")) %>' 
                                    title='<%# string.Join(Constant.DB.ListSeparator.ToString(), (string[])Eval("RoleList"))%>'>
                                    <%# string.Format("{0} {1}", Eval("Address.FirstName"), Eval("Address.LastName"))%></a>
                                    <%# null != (string[])Eval("RoleList") && (((string[])Eval("RoleList")).Length > 0) ? "*" : "" %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField headertext="Time Created" itemstyle-width="140px" sortexpression="created">
                            <ItemTemplate>
                                <%# Eval("Created", "{0:g}")%>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                    <EmptyDataTemplate>
                        No New Customer
                    </EmptyDataTemplate>
                </dsc:DSCGridView>
            </td>
            <td>
                <asp:ObjectDataSource id="odsOrders" runat="server" typename="DotShoppingCart.OpenSource.Core.Order"
                    selectmethod="GetActiveOrders" sortparametername="sortBy" enablepaging="true" selectcountmethod="GetActiveOrdersCount" 
                    startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
                    <SelectParameters>
                        <asp:Parameter name="orderStatusIds" type="string" defaultvalue="1,2,3,4,5,6,8,9,10,11,12,13,99" />
                        <asp:ControlParameter name="from" type="DateTime" controlid="dateRange" propertyname="From" />
                        <asp:ControlParameter name="to" type="DateTime" controlid="dateRange" propertyname="To" />
                    </SelectParameters>
                </asp:ObjectDataSource>
                <dsc:DSCGridView id="gvwOrders" runat="server" autogeneratecolumns="false" datasourceid="odsOrders" width="100%"
                    allowsorting="true" allowpaging="true" pagesize="20">
                    <Columns>
                        <asp:TemplateField headertext="Order#">
                            <ItemTemplate>
                                <a href='<%# string.Format("{0}?oid={1}", SiteNavigation.OrderEditPage, (int)Eval("OrderId")) %>'
                                    title='<%# Eval("OrderStatus.Status") %>'>
                                    <%# Eval("OrderNumber") %>
                                    <%# (bool)Eval("OrderStatus.IsCompleted") ? "" : "*" %>
                                </a>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField headertext="Total">
                            <ItemTemplate>
                                <%# Eval("OrderTotalAmount", "{0:c}") %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField headertext="User">
                            <ItemTemplate>
                                <div>
                                    <a href='<%# string.Format("{0}?uid={1}", SiteNavigation.UserEditPage, (int)Eval("UserId")) %>'>
                                        <%# string.Format("{0} {1}", Eval("BillingAddress.FirstName"), Eval("BillingAddress.LastName")) %>
                                    </a>
                                </div>
                                <div style="margin-top:2px;">
                                    <%# Eval("Created", "{0:g}")%>
                                </div>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </dsc:DSCGridView>
            </td>
            <td>
                <asp:ObjectDataSource id="odsOrderCount" runat="server" typename="DotShoppingCart.OpenSource.Core.OrderCount"
                    selectmethod="GetAll">
                </asp:ObjectDataSource>
                <asp:GridView id="gvwOrderCount" runat="server" autogeneratecolumns="false" datasourceid="odsOrderCount" width="100%">
                    <Columns>
                        <asp:TemplateField headertext="Order Status">
                            <ItemTemplate>
                                <%# Eval("Status.Status") %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:TemplateField headertext="Count">
                            <ItemTemplate>
                                <a href='<%# string.Format("{0}?sid={1}&from={2}&to={3}", SiteNavigation.OrdersPage, Eval("Status.StatusId"), Constant.DB.DBDateTimeMinValue, Constant.DB.DBDateTimeMaxValue) %>'>
                                    <%# Eval("Count") %>
                                </a>
                            </ItemTemplate>
                        </asp:TemplateField>
                    </Columns>
                </asp:GridView>
            </td>
        </tr>
    </table>
    
    <div id="dvDSCNews" style="position:absolute; bottom:0px;">
        <asp:Panel id="pnlDotShoppingCartNewsHeader" runat="server" cssclass="CollapsiblePanelHeader" style="margin-top:20px;" >
            <div class="sectionheader" style="padding:5px; cursor: pointer; vertical-align: middle;">
                <asp:ImageButton id="btnExpandRef" runat="server" imageurl="~/Images/expand.jpg" alternatetext="(Show Details...)" />
                DotShoppingCart News:
            </div>
        </asp:Panel>
        <asp:Panel id="pnlDotShoppingCartNews" runat="server" style="overflow:hidden;">
            <dsc:RSSViewer id="rssViewer" runat="server" showdescription="true" maxitem="3" url="http://www.dotshoppingcart.com/View/Rss.aspx?groupId=1" />
        </asp:Panel>

        <ajaxc:CollapsiblePanelExtender id="cpeNews" runat="server"
            targetcontrolid="pnlDotShoppingCartNews"
            expandcontrolid="pnlDotShoppingCartNewsHeader"
            collapsecontrolid="pnlDotShoppingCartNewsHeader" 
            imagecontrolid="btnExpandRef"
            collapsedsize="100"
         />
         
        <script type="text/javascript" language="javascript">
            var objExtender;
            // this will run automatically when the page has finished loading
            function pageLoad(sender, args) {
                objExtender = $find("<%=cpeNews.ClientID%>");
                objExtender.add_expanding(getCollapsibleState);
                objExtender.add_collapsing(getCollapsibleState);
            }

            function getCollapsibleState() {
                $get("tblContent").style.marginBottom = objExtender.get_Collapsed() ? "10px" : "160px";
                $get("dvDSCNews").style.position = objExtender.get_Collapsed() ? "relative" : "absolute";
            }  
        </script>
    </div>
</asp:Content>

