<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ShipTrackingEdit.ascx.cs" Inherits="Admin_Controls_ShipTrackingEdit" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<script type="text/javascript" language="javascript">
    function selectAll(panel, checked) {
        var inputs = $get(panel).getElementsByTagName("input");
        for (var i = 0; i < inputs.length; i++) { 
            if (inputs[i].type == "checkbox") {
                inputs[i].checked = checked;
            }
        }
    }
</script>
<asp:ValidationSummary id="vdsTrackingNumber" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" />
<table style="width:100%;">
    <colgroup>
        <col style="width:120px;" />
    </colgroup>
    <tr>
        <td>Ship Carrier:</td>
        <td>
            <asp:ObjectDataSource id="odsShipCarrier" runat="server" typename="DotShoppingCart.OpenSource.Core.ShipCarrier" selectmethod="GetAll">
            </asp:ObjectDataSource>
            <asp:DropDownList id="ddlShipCarrier" runat="server" datasourceid="odsShipCarrier" datatextfield="Name" datavaluefield="CarrierId" 
                ondatabound="ddlShipCarrier_DataBound" >
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td>Tracking Number:</td>
        <td>
            <asp:TextBox id="txtTrackingNumber" runat="server" width="200px"></asp:TextBox>
            <asp:RequiredFieldValidator id="rfvTrackingNumber" runat="server" controltovalidate="txtTrackingNumber"
                errormessage="Tracking Number is required.">*</asp:RequiredFieldValidator>
        </td>
    </tr>
    <tr>
        <td>Ship Date:</td>
        <td>
            <asp:TextBox id="txtShipDate" runat="server" width="100px"></asp:TextBox>
            <ajaxc:MaskedEditExtender id="meeShipDate" runat="server" targetcontrolid="txtShipDate" mask="99/99/9999"
                messagevalidatortip="true" masktype="Date"></ajaxc:MaskedEditExtender>
            <ajaxc:MaskedEditValidator id="mevShipDate" runat="server" controlextender="meeShipDate" controltovalidate="txtShipDate"
                isvalidempty="false" emptyvaluemessage="Ship Date is required" invalidvaluemessage="Ship Date is invalid">
            </ajaxc:MaskedEditValidator>
        </td>
    </tr>
    <tr>
        <td colspan="2">Please check order items: &nbsp;
            <input type="button" value="Check All" onclick="selectAll('<%= pnlMain.ClientID %>', true)" />&nbsp;
            <input type="button" value="Uncheck All" onclick="selectAll('<%= pnlMain.ClientID %>', false)" />
        </td>
    </tr>
</table>
<asp:Panel id="pnlMain" runat="server">
    <div style="overflow:auto; height:300px;">
        <asp:Repeater ID="rptOrderItems" runat="server" onitemdatabound="rptOrderItems_ItemDataBound">
            <ItemTemplate>
                <div>
                    <asp:CheckBox id="chkSelect" runat="server" />
                    <asp:HiddenField id="hidOrderItemId" runat="server" value='<%# Eval("OrderItemId") %>' />
                    <%# Eval("Quantity") %> X 
                    <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("SKU")) %>">
                        <%# Eval("ProductName") %></a>&nbsp;
                    <asp:Repeater id="rptAttributes" runat="server" datasource='<%# Eval("Attributes") %>'>
                        <ItemTemplate>
                            <span style="font-weight:bold"><%# Eval("Key") %></span> : <%# Eval("Value") %> &nbsp;
                        </ItemTemplate>
                    </asp:Repeater>
                </div>
            </ItemTemplate>
        </asp:Repeater>
    </div>
</asp:Panel>

