<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ShipTrackingManager.ascx.cs" Inherits="Admin_Controls_ShipTrackingManager" %>
<%@ Register tagprefix="dsc" tagname="ShipTrackingEdit" src="ShipTrackingEdit.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:GridView id="gvwShipTracks" runat="server" autogeneratecolumns="false" showheader="false"
    onrowdeleting="gvwShipTracks_RowDeleting" datakeynames="ShipTrackingId">
    <Columns>
        <asp:TemplateField showheader="false">
            <ItemTemplate>
                <%# Eval("Carrier.Name")%> Tracking#:&nbsp;
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField showheader="false">
            <ItemTemplate>
                <a href='<%# Eval("TrackingUrl")%>' target="_blank"><%# Eval("TrackingNumber")%></a>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField showheader="false">
            <ItemTemplate>
                &nbsp;on&nbsp;<%# ((DateTime)Eval("ShipDate")).ToShortDateString() %>&nbsp;
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField>
            <ItemTemplate>
                <asp:Button id="btnEdit" runat="server" text="Edit" />
                <ajaxc:ModalPopupExtender id="mpeAddShipTracking" runat="server" targetcontrolid="btnEdit" 
                    popupcontrolid="pnlEditShipTracking" backgroundcssclass="modalBackground" dropshadow="true"
                    cancelcontrolid="btnCancel">
                </ajaxc:ModalPopupExtender>
                <asp:Panel ID="pnlEditShipTracking" runat="server" CssClass="modalPopup" style="display:none" width="400px" >
                    <div class="title">
                        Edit Ship Tracking#
                    </div>
                    <div class="body">
                        <dsc:ShipTrackingEdit id="steShipTracking" runat="server" carrierid='<%# Eval("Carrier.CarrierId")%>' 
                            trackingnumber='<%# Eval("TrackingNumber")%>' shipdate='<%# Eval("ShipDate")%>' 
                            orderitems='<%# Order.OrderItems %>' validationgroup='<%# Eval("ShipTrackingId") %>' />
                    </div>
                    <div class="buttons">
                        <asp:Button id="btnUpdateShipTracking" runat="server" text="Update" oncommand="btnUpdateShipTracking_Command" 
                            commandargument='<%# Eval("ShipTrackingId") %>' validationgroup='<%# Eval("ShipTrackingId") %>' />
                        <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
                    </div>
                </asp:Panel>

                <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" />
                <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this tracking#?' />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</asp:GridView>
<asp:Button id="btnAdd" runat="server" text="Add Ship Tracking#" />
<ajaxc:ModalPopupExtender id="mpeAddShipTracking" runat="server" targetcontrolid="btnAdd" 
    popupcontrolid="pnlAddShipTracking" backgroundcssclass="modalBackground" dropshadow="true"
    cancelcontrolid="btnCancel">
</ajaxc:ModalPopupExtender>
<asp:Panel ID="pnlAddShipTracking" runat="server" CssClass="modalPopup" style="display:none" width="400px" >
    <div class="title">
       Add Ship Tracking#
    </div>
    <div class="body">
        <dsc:ShipTrackingEdit id="steShipTracking" runat="server" validationgroup="ShipTracking" />
    </div>
    <div class="buttons">
        <asp:Button id="btnAddShipTracking" runat="server" text="Add" onclick="btnAddShipTracking_Click" validationgroup="ShipTracking" />
        <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
    </div>
</asp:Panel>

