//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Controls_ShipTrackingManager : System.Web.UI.UserControl {
    private Order order;

    public Order Order {
        get { return order; }
        set { order = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        if (null != order) {
            gvwShipTracks.DataSource = order.ShipTrackings;
            gvwShipTracks.DataBind();
            steShipTracking.OrderItems = order.OrderItems;
        }
    }

    protected void gvwShipTracks_RowDeleting(object sender, GridViewDeleteEventArgs e) {
        ShipTracking.Delete((int)gvwShipTracks.DataKeys[e.RowIndex]["ShipTrackingId"]);
        WebUtils.ReloadPage();
    }

    protected void btnAddShipTracking_Click(object sender, EventArgs e) {
        if (Page.IsValid) {
            ShipTracking.Add(steShipTracking.CarrierId, steShipTracking.TrackingNumber, steShipTracking.ShipDate,
                steShipTracking.SelectedOrderItemIds);
            WebUtils.ReloadPage();
        }
    }

    protected void btnUpdateShipTracking_Command(object sender, CommandEventArgs e) {
        if (Page.IsValid) {
            int shipTrackingId = int.Parse(e.CommandArgument.ToString());
            int index = -1;
            for (int i = 0; i < gvwShipTracks.DataKeys.Count; i++) {
                if ((int)gvwShipTracks.DataKeys[i]["ShipTrackingId"] == shipTrackingId) {
                    index = i;
                    break;
                }
            }
            Admin_Controls_ShipTrackingEdit steShipTracking = (Admin_Controls_ShipTrackingEdit)
                gvwShipTracks.Rows[index].FindControl("steShipTracking");
            ShipTracking.Update(shipTrackingId, steShipTracking.CarrierId, steShipTracking.TrackingNumber, steShipTracking.ShipDate,
                steShipTracking.SelectedOrderItemIds);
            WebUtils.ReloadPage();
        }
    }

}
