<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="OrderEdit.aspx.cs" Inherits="Admin_Sale_OrderEdit" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="AddressUpdate" src="~/Controls/AddressUpdate.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderItems" src="~/Store/OrderItems.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderTotal" src="~/Store/OrderTotal.ascx" %>
<%@ Register tagprefix="dsc" tagname="PaymentSummary" src="~/Store/PaymentSummary.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderStatusEdit" src="Controls/OrderStatusEdit.ascx" %>
<%@ Register tagprefix="dsc" tagname="ShipTrackingManager" src="Controls/ShipTrackingManager.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table>
        <tr>
            <td>Order Number:</td>
            <td><asp:Label id="lblOrderNumber" runat="server"></asp:Label></td>
        </tr>
        <tr>
            <td>Order Status:</td>
            <td><dsc:OrderStatusEdit id="oseStatus" runat="server" onupdating="oseStatus_Updating" /> </td>
        </tr>
        <tr>
            <td>Order Placed:</td>
            <td><asp:Label id="lblOrderDate" runat="server"></asp:Label></td>
        </tr>
        <tr>
            <td>Ordered By:</td>
            <td><asp:HyperLink id="lnkUser" runat="server"></asp:HyperLink>&nbsp;&nbsp;<asp:Label id="lblEmail" runat="server"></asp:Label></td>
        </tr>
    </table>

    <table width="100%" cellspacing="0">
        <colgroup>
            <col style="width:40%;" />
            <col style="width:20%;" />
            <col style="width:40%;" />
        </colgroup>
        <tr>
            <td>
                <div class="sectionheader">Shipping Address:</div>
                <dsc:AddressUpdate id="auShippingAddress" runat="server" onupdating="auShippingAddress_Updating" />
            </td>
            <td>
                <div class="sectionheader">Payment Method:</div>
                <dsc:PaymentSummary id="paymentSummary" runat="server" showviewbutton="true"></dsc:PaymentSummary>
            </td>
            <td>
                <div class="sectionheader">Billing Address:</div>
                <dsc:AddressUpdate id="auBillingAddress" runat="server" onupdating="auBillingAddress_Updating" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <div class="sectionheader">Shipping Method:</div>
                <div><asp:Label id="lblShippingMethod" runat="server"></asp:Label></div>
                <dsc:ShipTrackingManager id="steShipTracingEdit" runat="server" />
            </td>
            <td>
                <div class="sectionheader">&nbsp;</div>
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <div class="sectionheaderNobackground">Payment Transactions:</div>
                <asp:GridView id="gvwPaymentTransaction" runat="server" autogeneratecolumns="false">
                    <Columns>
                        <asp:BoundField datafield="TransactionDate" headertext="Date" itemstyle-width="150px" />
                        <asp:BoundField datafield="PaymentTransactionType" headertext="Type" itemstyle-width="100px" />
                        <asp:TemplateField headertext="Amount" itemstyle-width="100px">
                            <ItemTemplate>
                                <%# Eval("Amount", "{0:C}") %>
                            </ItemTemplate>
                        </asp:TemplateField>
                        <asp:BoundField datafield="Success" headertext="Success" itemstyle-width="50px" />
                        <asp:BoundField datafield="AuthorizationCode" headertext="Authorization Code" itemstyle-width="150px" />
                        <asp:BoundField datafield="AVS" headertext="AVS" itemstyle-width="50px" />
                        <asp:BoundField datafield="CVV" headertext="CVV" itemstyle-width="50px" />
                        <asp:BoundField datafield="Error" headertext="Error" itemstyle-width="300px" />
                    </Columns>
                    <EmptyDataTemplate>
                        No payment transaction has happened.
                    </EmptyDataTemplate>
                </asp:GridView>
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <div class="sectionheaderNobackground">Notes:</div>
                <asp:GridView id="gvwNote" runat="server" autogeneratecolumns="false">
                    <Columns>
                        <asp:BoundField datafield="Created" headertext="Date" itemstyle-width="150px" />
                        <asp:BoundField datafield="Note" headertext="Note" />
                    </Columns>
                </asp:GridView>
                <div style="margin-top:2px; margin-bottom:2px;">
                <asp:TextBox id="txtNewNote" runat="server" textmode="MultiLine" width="600px" rows="4" maxlength="3800"></asp:TextBox><br />
                <asp:RequiredFieldValidator id="rfvNewNote" runat="server" controltovalidate="txtNewNote" validationgroup="NewNote">
                    Note is require.
                </asp:RequiredFieldValidator>
                </div>
                <asp:Button id="btnAddNote" runat="server" text="Add Note" onclick="btnAddNote_Click" validationgroup="NewNote"/>
            </td>
        </tr>
        <tr>
            <td colspan="3">
                <div class="sectionheader">Actions:</div>
                <asp:Repeater id="rptAction" runat="server">
                    <ItemTemplate>
                        <asp:Button id="Button1" runat="server" text='<%# Eval("DisplayName") %>' oncommand="btnAction_Command" />
                    </ItemTemplate>
                </asp:Repeater>
                <asp:Button id="btnInvoice" runat="server" text="Print Invoice" />
                <asp:Button id="btnPackingSlip" runat="server" text="Print Packing Slip" />
                <asp:Button id="btnCancelOrder" runat="server" text="Cancel Order" onclick="btnCancelOrder_Click" />
                <ajaxc:ConfirmButtonExtender ID="cbeCancelConfirm" runat="server" targetcontrolid="btnCancelOrder" 
                    confirmtext='Are you sure you want to cancel this order and restock order items back to the inventory?' />
            </td>
        </tr>
    </table>
    <div class="sectionheaderNobackground"><asp:Label id="lblTotalItem" runat="server"></asp:Label> Items Ordered:</div>
    <dsc:OrderItems id="orderItems" runat="server"></dsc:OrderItems>
    <dsc:OrderTotal id="orderTotal" runat="server"></dsc:OrderTotal>
</asp:Content>