<%@ Control Language="C#" AutoEventWireup="true" CodeFile="SiteAddress.ascx.cs" Inherits="Admin_Controls_SiteAddress" %>
<%@ Register tagprefix="dsc" tagname="TelephoneInput" src="~/Controls/TelephoneInput.ascx" %>
<%@ Register tagprefix="dsc" tagname="EmailTextBox" src="~/controls/EmailTextBox.ascx" %>

<table>
    <tr>
        <td class="FormSectionText">
            Site Name:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtStoreName" width="300px"></asp:textbox>
            <asp:requiredfieldvalidator id="rfvStoreName" runat="server" controltovalidate="txtStoreName"
                errormessage="Store Name is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <asp:Panel id="pnlStoreUrl" runat="server">
    <tr>
        <td class="FormSectionText">
            Site URL:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox id="txtStoreUrl" runat="server" width="300px"></asp:textbox>
            <asp:requiredfieldvalidator id="rfvStoreUrl" runat="server" controltovalidate="txtStoreUrl"
                errormessage="Store URL is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    </asp:Panel>
    <tr>
        <td class="FormSectionText">
            Address:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtAddress" width="300px"></asp:textbox>
            <asp:requiredfieldvalidator id="AddressRequired" runat="server" controltovalidate="txtAddress"
                errormessage="Address is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            City:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtCity" width="300px"></asp:textbox>
            <asp:requiredfieldvalidator id="CityRequired" runat="server" controltovalidate="txtCity"
                errormessage="City is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            State:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtState" width="300px"></asp:textbox>
            <asp:requiredfieldvalidator id="StateRequired" runat="server" controltovalidate="txtState"
                errormessage="State is a required field.">*</asp:requiredfieldvalidator>
            <asp:CustomValidator runat="server" id="cvdState" onservervalidate="cvdState_ServerValidate"
                errormessage="State is invalid. Please enter the full name of the state/province/region or the official two-letter abbreviation">*</asp:CustomValidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Country:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:ObjectDataSource id="odsCountryList" runat="server" typename="DotShoppingCart.OpenSource.Core.Country" selectmethod="GetAll" />
            <asp:DropDownList runat="server" id="ddlCountry" width="300px" datasourceid="odsCountryList" datatextfield="Name" datavaluefield="CountryId"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            ZipCode:
        </td>
        <td>*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtZipCode" width="300px"></asp:textbox>
            <asp:requiredfieldvalidator id="ZipCodeRequired" runat="server" controltovalidate="txtZipCode"
                errormessage="ZipCode is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Phone:
        </td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:TelephoneInput id="telPhone" runat="server" />
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Fax:
        </td>
        <td></td>
        <td class="FormSectionValue"><dsc:TelephoneInput id="telFax" runat="server" required="false" />
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">Site Email Address:</td>
        <td>*</td>
        <td class="FormSectionValue"><dsc:EmailTextBox id="etbSiteEmail" runat="server" width="300" required="true" /></td>
    </tr>
        <tr><td colspan="2"></td>
        <td>(e.g. sale@mystore.com)</td>
    </tr>
</table>