//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Store_StoreSetupWizard : DSCPage {
    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void storeSetupWizard_NextButtonClick(object sender, WizardNavigationEventArgs e) {
        if (storeSetupWizard.ActiveStep == wzTheme) {
            e.Cancel = dscTheme.CheckDataLost();
        } else 
            e.Cancel = !Page.IsValid;
    }

    protected void dscTheme_DataLostConfirmed(object sender, EventArgs e) {
        storeSetupWizard.MoveTo(wzLogo);
    }

    protected void storeSetupWizard_FinishButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
        if (!e.Cancel) {
            SiteConfigurationSection siteSection = SiteConfigurationSection.GetSection();
            siteAddress.SaveTo(siteSection);
            logo.SaveTo(siteSection);
            ConfigurationController.SiteConfigurationController.SaveSection(SiteConfigurationSection.SectionName, siteSection);

            UIConfigurationSection section = UIConfigurationSection.GetSection();
            dscTheme.SaveTo(section);
            ConfigurationController.SiteConfigurationController.SaveSection(UIConfigurationSection.SectionName, section);
            WebUtils.CleanUpThemeFiles();

            mvwStoreSetup.SetActiveView(vwSummary);
        }
    }

}
