﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Shipping;
using DotShoppingCart.OpenSource.Core;

public partial class Admin_Store_Controls_ShippingConfigurationTemplate : ValidatableUserControl, ITemplate {
    public ShippingProvider Provider { get; set; }

    public override string ValidationGroup {
        set { vds.ValidationGroup = btnUpdateShipping.ValidationGroup = providerConfiguration.ValidationGroup = value; }
    }

    public override string ErrorMessagePrefix {
        set { providerConfiguration.ErrorMessagePrefix = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    public void InstantiateIn(Control container) {
        container.Controls.Add(this);
    }

    protected void btnUpdateShipping_Click(object sender, EventArgs e) {
        if (Page.IsValid) {
            ShippingServiceConfigurationSection scs = (ShippingServiceConfigurationSection)ConfigurationController.SiteConfigurationController.GetSection(ShippingServiceConfigurationSection.SectionName);
            if (null == scs)
                scs = new ShippingServiceConfigurationSection();

            Dictionary<string, string> settings = providerConfiguration.GetSettings();
            ProviderSettings ps = scs.Providers[Provider.Name];
            if (null == ps) {
                ps = new ProviderSettings(Provider.Name, Provider.GetType().ToString());
                scs.Providers.Add(ps);
            }

            foreach (string key in settings.Keys) {
                //need to change all invalid values to 0
                int sortOrder;
                if (("sortOrder" == key) && (!int.TryParse(settings[key], out sortOrder))) {
                    ps.Parameters[key] = "0";
                } else if (!string.IsNullOrEmpty(settings[key]))
                    ps.Parameters[key] = settings[key];
            }

            ConfigurationController.SiteConfigurationController.SaveSection(ShippingServiceConfigurationSection.SectionName, scs);
            tlbUpdateProviderStatus.ShowText("Saved.");
        }
    }
}
