//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Shipping;
using DotShoppingCart.OpenSource.Core;

public partial class Admin_Store_Controls_ShippingMethodEdit : ValidatableUserControl {
    private TableBasedShippingMethod shippingMethod;

    public override string ValidationGroup {
        set {
            base.ValidationGroup = value;
            rfvName.ValidationGroup = dtbSortOrder.ValidationGroup = btnOk.ValidationGroup = vdsShipping.ValidationGroup = value;
        }
    }
    public string PopupButtonText {
        set { btnPopup.Text = value; }
    }
    public TableBasedShippingMethod ShippingMethod {
        get { 
            return new TableBasedShippingMethod(txtName.Text,
                int.Parse(dtbSortOrder.Text), (RateTarget)int.Parse(ddlTarget.SelectedValue), (RateUnit)int.Parse(ddlUnit.SelectedValue)); 
        }
        set { shippingMethod = value; }
    }
    public event EventHandler ShippingMethodSubmitted = null;

    public override void DataBind() {
        base.DataBind();

        if (null != shippingMethod) {
            lblTitle.Text = "Edit Shipping Method";
            txtName.Text = shippingMethod.Name;
            dtbSortOrder.Text = shippingMethod.SortOrder.ToString();
            WebUtils.SetDropDownListSelected(ddlTarget, ((int)shippingMethod.Target).ToString());
            WebUtils.SetDropDownListSelected(ddlUnit, ((int)shippingMethod.Unit).ToString());
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
    }

    protected void btnOk_Click(object sender, EventArgs e) {
        if (Page.IsValid)
            OnShippingMethodSubmitted(e);
    }

    protected virtual void OnShippingMethodSubmitted(EventArgs e) {
        if (null != ShippingMethodSubmitted) {
            ShippingMethodSubmitted(this, e);
        }
    }
}
