//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Admin_Store_Controls_StoreMiscellaneous : ValidatableUserControl {
    public override string ValidationGroup {
        set {
            base.ValidationGroup = value;
            ntbDays.ValidationGroup = value;
        }
    }

    public override string ErrorMessagePrefix {
        set {
            base.ErrorMessagePrefix = value;
            ntbDays.ErrorMessagePrefix = value + "Days Credit Card Saved ";
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            StoreConfigurationSection section = StoreConfigurationSection.GetSection();
            List<string> emails = new List<string>();
            foreach (Microsoft.Practices.EnterpriseLibrary.Common.Configuration.NamedConfigurationElement email in
                section.OrderConfirmationEmailAddresses) {
                emails.Add(email.Name);
            }
            txtOrderConfirmationEmails.Text = string.Join(",", emails.ToArray());
            txtWeightUnit.Text = section.ProductWeightUnit;
            chkShowStock.Checked = section.ShowStock;
            ntbDays.Text = section.CreditCardCleanupDays.ToString();
        }
    }

    public void SaveTo(StoreConfigurationSection section) {
        section.OrderConfirmationEmailAddresses.Clear();
        if (!string.IsNullOrEmpty(txtOrderConfirmationEmails.Text)) {
            foreach (string email in txtOrderConfirmationEmails.Text.Split(',')) {
                section.OrderConfirmationEmailAddresses.Add(new Microsoft.Practices.EnterpriseLibrary.Common.Configuration.NamedConfigurationElement(email));
            }
        }
        section.ProductWeightUnit = txtWeightUnit.Text;
        section.ShowStock = chkShowStock.Checked;
        section.CreditCardCleanupDays = ntbDays.Value;
    }
}
