//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Tax;
using DotShoppingCart.OpenSource.Core;

public partial class Admin_Store_TaxRegionEdit : DSCPage {
    private int index;
    private bool insert = true;

    protected void Page_Load(object sender, EventArgs e) {
        index = Utils.GetIntParameter("index", -1);
        insert = index < 0;
        if ((!insert) && (!IsPostBack)) {
            TableBasedTaxRate rate = TableBasedTaxProvider.GetTaxRates()[index];
            txtName.Text = rate.Name;
            dtbRate.Text = rate.Rate.ToString();
            configureCondition.Conditions = rate.Conditions;
            configureCondition.DataBind();
        }
        if (!IsPostBack) {
            lblTitle.Text = (insert ? "Add" : "Edit") + " Tax Region";
        }
    }

    protected void taxWizard_NextButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
    }

    protected void taxWizard_FinishButtonClick(object sender, WizardNavigationEventArgs e) {
        e.Cancel = !Page.IsValid;
        if (!e.Cancel) {
            decimal rate = decimal.Parse(dtbRate.Text);
            TableBasedTaxRate taxRate = new TableBasedTaxRate(txtName.Text, configureCondition.Conditions, rate);

            List<TableBasedTaxRate> rates = TableBasedTaxProvider.GetTaxRates();
            if (insert)
                rates.Add(taxRate);
            else
                rates[index] = taxRate;
            TableBasedTaxProvider.SaveTaxRates(rates);

            Response.Redirect(SiteNavigation.StoreTaxPage);
        }
    }

    protected void btnOk_Click(object sender, EventArgs e) {
        List<Condition> conditions = new List<Condition>();
        txtName.Text = ddlRegions.SelectedItem.Value;
        switch (ddlRegions.SelectedItem.Value) {
            case "All US States":
                conditions.Add(new Condition("Country", ConditionOperator.Equal, "US"));
                configureCondition.Conditions = conditions;
                configureCondition.DataBind();
                break;
            case "New York":
                conditions.Add(new Condition("Country", ConditionOperator.Equal, "US"));
                conditions.Add(new Condition("State", ConditionOperator.Equal, "NY"));
                configureCondition.Conditions = conditions;
                configureCondition.DataBind();
                break;
        }
    }

    protected void cvdDefinition_ServerValidate(object source, ServerValidateEventArgs args) {
        Admin_Controls_ConfigureCondition configureCondition = (Admin_Controls_ConfigureCondition)((Control)source).NamingContainer.FindControl("configureCondition");
        args.IsValid = (null != configureCondition.Conditions) && (configureCondition.Conditions.Count > 0);
    }

}
