<%@ Page Language="C#" MasterPageFile="~/Admin.master" AutoEventWireup="true" CodeFile="Users.aspx.cs" Inherits="Admin_Sale_Users" Title="Untitled Page" %>
<%@ Register tagprefix="dsc" tagname="DateRange" src="~/controls/DateRange.ascx" %>
<%@ Register tagprefix="dsc" tagname="TransitionalLabel" src="~/controls/TransitionalLabel.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <table cellspacing="4px">
        <tr valign="top">
            <td>Search: <asp:TextBox id="txtSearchText" runat="server" width="300px" maxlength="100"></asp:TextBox></td>
            <td>Date Range: <dsc:DateRange id="dateRange" runat="server" validationgroup="go" /></td>
            <td><asp:Button id="btnSearch" runat="server" text="Go" validationgroup="go" /></td>
        </tr>
    </table>
    <hr />
    <div><dsc:TransitionalLabel id="tlbStatus" runat="server" cssclass="success"/></div>
    <asp:ObjectDataSource id="odsUsers" runat="server" typename="DotShoppingCart.OpenSource.Core.User"
        selectmethod="Search" deletemethod="Delete" sortparametername="sortBy"
        enablepaging="true" selectcountmethod="GetUserCount" startrowindexparametername="rowIndex" maximumrowsparametername="rowsPerPage">
        <SelectParameters>
            <asp:ControlParameter name="keywords" type="string" controlid="txtSearchText" propertyname="Text" convertemptystringtonull="true" />
            <asp:ControlParameter name="from" type="DateTime" controlid="dateRange" propertyname="From" />
            <asp:ControlParameter name="to" type="DateTime" controlid="dateRange" propertyname="To" />
        </SelectParameters>
    </asp:ObjectDataSource>

    <dsc:DSCGridView id="gvwUserList" runat="server" autogeneratecolumns="false" datasourceid="odsUsers" 
        datakeynames="UserName" onrowdeleted="gvwUserList_RowDeleted" 
        allowsorting="true" allowpaging="true" pagesize="10" showrownumber="true">
    <Columns>
        <asp:TemplateField headertext="First Name" itemstyle-width="100px" sortexpression="FirstName">
            <ItemTemplate>
                <%# Eval("Address.FirstName")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Last Name" itemstyle-width="100px" sortexpression="LastName">
            <ItemTemplate>
                <%# Eval("Address.LastName")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Email" itemstyle-width="150px" sortexpression="Email">
            <ItemTemplate>
                <%# Eval("MembershipUser.Email")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Created" itemstyle-width="100px" sortexpression="created">
            <ItemTemplate>
                <%# Eval("Created", "{0:d}")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Roles" itemstyle-width="100px">
            <ItemTemplate>
                <%# string.Join(Constant.DB.ListSeparator.ToString(), (string[])Eval("RoleList"))%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField>
            <ItemTemplate>
                <asp:Button id="btnEdit" runat="server" text="Edit" onclientclick='<%# string.Format("javascript:window.location.href=\"{0}?uid={1}\";return false", SiteNavigation.UserEditPage, Eval("UserId"))  %>' />
                <asp:Button id="btnDelete" runat="server" text="Delete" commandname="Delete" />
                <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" confirmtext='Are you sure you want to delete this user?' />
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</dsc:DSCGridView>
</asp:Content>

