<%@ Control Language="C#" AutoEventWireup="true" CodeFile="AddressInput.ascx.cs" Inherits="Controls_AddressInput" %>
<%@ Register tagprefix="dsc" tagname="TelephoneInput" src="~/Controls/TelephoneInput.ascx" %>

<table>
    <tr>
        <td colspan="3"><asp:ValidationSummary id="AddressInputValidationSummary" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" /></td>
    </tr>
    <asp:Panel id="pnlName" runat="server">
        <asp:Panel id="pnlSaveAs" runat="server" visible="false">
            <tr>
                <td class="FormSectionText">
                    Save As:
                </td>
                <td class="sign"></td>
                <td class="FormSectionValue">
                    <asp:textbox runat="server" id="txtSaveAs" width="200px"></asp:textbox>
                </td>
            </tr>
        </asp:Panel>
        <tr>
            <td class="FormSectionText">
                First Name:
            </td>
            <td class="sign">*</td>
            <td class="FormSectionValue">
                <asp:textbox runat="server" id="txtFirstName" width="200px"></asp:textbox>
                <asp:requiredfieldvalidator id="FirstNameRequired" runat="server" controltovalidate="txtFirstName"
                    errormessage="First Name is a required field.">*</asp:requiredfieldvalidator>
            </td>
        </tr>
        <tr>
            <td class="FormSectionText">
                Last Name:
            </td>
            <td class="sign">*</td>
            <td class="FormSectionValue">
                <asp:textbox id="txtLastName" runat="server" width="200px"></asp:textbox>
                <asp:requiredfieldvalidator id="LastNameRequired" runat="server" controltovalidate="txtLastName"
                    errormessage="Last Name is a required field.">*</asp:requiredfieldvalidator>
            </td>
        </tr>
        <tr>
            <td class="FormSectionText">
                Company Name:
            </td>
            <td class="sign"></td>
            <td class="FormSectionValue">
                <asp:textbox runat="server" id="txtCompanyName" width="200px"></asp:textbox>
            </td>
        </tr>
    </asp:Panel>
    <tr>
        <td class="FormSectionText">
            Address:
        </td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtAddress" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="AddressRequired" runat="server" controltovalidate="txtAddress"
                errormessage="Address is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Address2:
        </td>
        <td class="sign"></td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtAddress2" width="200px"></asp:textbox>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            City:
        </td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtCity" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="CityRequired" runat="server" controltovalidate="txtCity"
                errormessage="City is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            State:
        </td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtState" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="StateRequired" runat="server" controltovalidate="txtState"
                errormessage="State is a required field.">*</asp:requiredfieldvalidator>
            <asp:CustomValidator runat="server" id="cvdState" onservervalidate="cvdState_ServerValidate"
                errormessage="State is invalid. Please enter the full name of the state/province/region or the official two-letter abbreviation">*</asp:CustomValidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Country:
        </td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <asp:ObjectDataSource id="odsCountryList" runat="server" typename="DotShoppingCart.OpenSource.Core.Country" selectmethod="GetAll" />
            <asp:DropDownList runat="server" id="ddlCountry" width="200px" datasourceid="odsCountryList" datatextfield="Name" datavaluefield="CountryId"></asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            ZipCode:
        </td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <asp:textbox runat="server" id="txtZipCode" width="200px"></asp:textbox>
            <asp:requiredfieldvalidator id="ZipCodeRequired" runat="server" controltovalidate="txtZipCode"
                errormessage="ZipCode is a required field.">*</asp:requiredfieldvalidator>
        </td>
    </tr>
    <tr>
        <td class="FormSectionText">
            Phone:
        </td>
        <td class="sign">*</td>
        <td class="FormSectionValue">
            <dsc:TelephoneInput id="telPhone" runat="server" errormessageprefix="Phone " required="true" />
        </td>
    </tr>
</table>
<asp:Panel id="pnlPhoneNotice" runat="server" visible="false">(<label id="lblPhoneNotice" runat="server"></label>)</asp:Panel>
<br />
