﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BlockContainer.ascx.cs" Inherits="Controls_Blocks_BlockContainer" %>
<%@ Register tagprefix="dsc" tagname="AddBlock" src="~/Controls/Blocks/AddBlock.ascx" %>
<%@ Register tagprefix="dsc" tagname="ModulePopup" src="~/Controls/ModulePopup.ascx" %>

<asp:Panel id="pnlShowMenu" runat="server" visible="false">
    <asp:MultiView id="mvwEditor" runat="server" activeviewindex="0">
        <asp:View id="vwEditor" runat="server">
            <asp:Panel id="pnlBlockcontainerHeader" runat="server" cssclass="BlockHeaderPanel">
                <asp:Label id="lblBlockContainerTitle" runat="server"></asp:Label>
            </asp:Panel>
            <asp:Panel id="pnlMenu" runat="server" cssclass="ContextMenuPanel" style="display:none; visibility:hidden;">
                <asp:LinkButton id="btnEdit" runat="server" cssclass="ContextMenuItem" text="Edit"></asp:LinkButton>
                <asp:LinkButton id="btnCreateAlias" runat="server" cssclass="ContextMenuItem" text="Create Alias"></asp:LinkButton>
                <asp:LinkButton id="btnDelete" runat="server" cssclass="ContextMenuItem" text="Delete" onclick="btnDelete_Click"></asp:LinkButton>
                <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" 
                    confirmtext='All the blocks inside the block container will be deleted as well. Are you sure you want to delete this block container?' />
                <asp:LinkButton id="btnMoveForward" runat="server" cssclass="ContextMenuItem" text="Move Forward" onclick="btnMoveForward_Click"></asp:LinkButton>
                <asp:LinkButton id="btnMoveBack" runat="server" cssclass="ContextMenuItem" text="Move Back" onclick="btnMoveBack_Click"></asp:LinkButton>
                <asp:LinkButton id="btnAdvanced" runat="server" cssclass="ContextMenuItem" text="Advanced"></asp:LinkButton>
                <asp:LinkButton id="btnCloseEditor" runat="server" cssclass="ContextMenuItem" text="Close Editor" onclick="btnCloseEditor_Click"></asp:LinkButton>
                <asp:PlaceHolder id="menuPlaceHolder" runat="server"></asp:PlaceHolder>
            </asp:Panel>

            <ajaxc:DropDownExtender id="ddeMenu" runat="server" 
                targetcontrolid="pnlBlockcontainerHeader" dropdowncontrolid="pnlMenu" >
            </ajaxc:DropDownExtender>
            
            <dsc:ModulePopup id="mdpEdit" runat="server" targetcontrolid="btnEdit" width="600px" title="Edit Block Container" onokclick="mdpEdit_OkClick">
                <BodyTemplate>
                    <table style="width:100%">
                        <colgroup>
                            <col style="width:200px;" />
                        </colgroup>
                        <asp:Repeater id="rptVariables" runat="server">
                            <ItemTemplate>
                                <tr>
                                    <td><asp:Label id="lblName" runat="server" text='<%# Eval("Key") %>' />
                                        <asp:HiddenField id="hidOldValue" runat="server" value='<%# Eval("Value") %>' /></td>
                                    <td><asp:TextBox id="txtValue" runat="server" width="200px" text='<%# Eval("Value") %>'></asp:TextBox></td>
                                </tr>
                            </ItemTemplate>
                        </asp:Repeater>
                    </table>
                </BodyTemplate>
            </dsc:ModulePopup>

            <dsc:ModulePopup id="mdpAdvanced" runat="server" targetcontrolid="btnAdvanced" title="Advanced Edit Block Container" onokclick="mdpAdvanced_OkClick">
                <BodyTemplate>
                    <div style="margin-bottom:6px; font-weight:bold;">Note: please stop if you don't know HTML! Do not touch anything inside %% or you will get your site screwed up.</div>
                    <asp:TextBox id="txtBlockContainer" runat="server" width="750px" textmode="MultiLine" rows="10"></asp:TextBox>
                </BodyTemplate>
            </dsc:ModulePopup>
            
            <dsc:ModulePopup id="mdpCreateAlias" runat="server" targetcontrolid="btnCreateAlias" title="Create Alias" onokclick="mdpCreateAlias_OkClick">
                <BodyTemplate>
                    <div style="margin-bottom:6px;">After you create alias for this block, you can reference to the same block in other pages.</div>
                    Alias: <asp:TextBox id="txtBlockAlias" runat="server" width="200px"></asp:TextBox>
                    <asp:RequiredFieldValidator id="rfvBlockAlias" runat="server" controltovalidate="txtBlockAlias" errormessage="Alias is required"></asp:RequiredFieldValidator>
                </BodyTemplate>
            </dsc:ModulePopup>

        </asp:View>
        <asp:View id="vwEditorDisabled" runat="server">
            <ajaxc:HoverMenuExtender id="hme" runat="Server" hovercssclass="popupHover"
                popupcontrolid="PopupMenu" popupposition="Right" offsetx="-100" targetcontrolid="pnlBlockContainerContent" popdelay="25" />
            <asp:Panel id="PopupMenu" runat="server" cssclass="popupMenu">
                <div>
                    <asp:Button id="btnShowEditor" runat="server" width="100px" text="Show Editor" onclick="btnShowEditor_Click" />
                </div>
            </asp:Panel>
        </asp:View>
    </asp:MultiView>
</asp:Panel>
<asp:Panel id="pnlBlockContainerContent" runat="server">
    <asp:PlaceHolder id="placeHolder" runat="server"></asp:PlaceHolder>
</asp:Panel>



