﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="BlockEditor.ascx.cs" Inherits="Controls_Blocks_BlockEditor" %>
<%@ Register tagprefix="dsc" tagname="NumberTextBox" src="~/Controls/NumberTextBox.ascx" %>

<asp:Panel id="pnlShowMenu" runat="server" visible="false">
    <asp:Panel id="pnlBlockHeader" runat="server" cssclass="BlockHeaderPanel">
        <asp:Label id="lblBlockTitle" runat="server"></asp:Label>
    </asp:Panel>
    <asp:Panel id="pnlMenu" runat="server" cssclass="ContextMenuPanel" style="display:none; visibility:hidden;">
        <asp:LinkButton id="btnEdit" runat="server" cssclass="ContextMenuItem" text="Edit"></asp:LinkButton>
        <asp:LinkButton id="btnEditHeader" runat="server" cssclass="ContextMenuItem" text="Edit Header" visible="false"></asp:LinkButton>
        <asp:LinkButton id="btnCondition" runat="server" cssclass="ContextMenuItem" text="Edit Conditions"></asp:LinkButton>
        <asp:LinkButton id="btnDelete" runat="server" cssclass="ContextMenuItem" text="Delete" onclick="btnDelete_Click"></asp:LinkButton>
        <ajaxc:ConfirmButtonExtender id="cbeDeleteConfirm" runat="server" targetcontrolid="btnDelete" 
            confirmtext='Are you sure you want to delete this block?' />
        <asp:LinkButton id="btnMoveForward" runat="server" cssclass="ContextMenuItem" text="Move Forward" onclick="btnMoveForward_Click"></asp:LinkButton>
        <asp:LinkButton id="btnMoveBack" runat="server" cssclass="ContextMenuItem" text="Move Back" onclick="btnMoveBack_Click"></asp:LinkButton>
    </asp:Panel>

    <ajaxc:DropDownExtender id="ddeMenu" runat="server"
        targetcontrolid="pnlBlockHeader" dropdowncontrolid="pnlMenu" >
    </ajaxc:DropDownExtender>

    <asp:Panel id="pnlEditPopup" runat="server">
        <ajaxc:ModalPopupExtender id="mpe" runat="server" targetcontrolid="btnEdit" 
            popupcontrolid="pnlEdit" backgroundcssclass="modalBackground" dropshadow="true"
            cancelcontrolid="btnCancel" >
        </ajaxc:ModalPopupExtender>
        <asp:Panel ID="pnlEdit" runat="server" CssClass="modalPopup" style="display:none;" width="800px" >
            <div class="title">
                <asp:Label id="lblEditTitle" runat="server" text="Edit" />
            </div>
            <div class="body">
                <asp:PlaceHolder id="editPlaceHolder" runat="server"></asp:PlaceHolder>
            </div>
            <div class="buttons">
                <asp:Button id="btnSave" runat="server" text="Save" onclick="btnSave_Click" />
                <asp:Button id="btnCancel" runat="server" text="Cancel" causesvalidation="false" />
            </div>
        </asp:Panel>
    </asp:Panel>
    <asp:Panel id="pnlEditHeaderPopup" runat="server" visible="false">
        <ajaxc:ModalPopupExtender id="mpeEditHeader" runat="server" targetcontrolid="btnEditHeader"
            popupcontrolid="pnlEditHeader" backgroundcssclass="modalBackground" dropshadow="true"
            cancelcontrolid="btnCancelEditHeader" >
        </ajaxc:ModalPopupExtender>
        <asp:Panel ID="pnlEditHeader" runat="server" CssClass="modalPopup" style="display:none;" width="600px" >
            <div class="title">
                <asp:Label id="Label1" runat="server" text="Edit Block Header" />
            </div>
            <div class="body">
                <asp:ValidationSummary id="vdsEdit" runat="server" showsummary="true" />
                <table style="width:100%">
                    <colgroup>
                        <col style="width:200px;" />
                    </colgroup>
                    <tr>
                        <td>Show Block Header:</td>
                        <td></td>
                        <td><asp:CheckBox id="chkShowBlockHeader" runat="server" /> </td>
                    </tr>
                    <tr>
                        <td>Title:</td>
                        <td></td>
                        <td><asp:TextBox id="txtTitle" runat="server" /> </td>
                    </tr>
                    <tr>
                        <td>Header Width:</td>
                        <td>*</td>
                        <td><dsc:NumberTextBox id="ntbHeaderWidth" runat="server" minimumvalue="1" maximumvalue="2000"
                                required="true" name="Header Width" /></td>
                    </tr>
                    <tr>
                        <td>Header Height:</td>
                        <td>*</td>
                        <td><dsc:NumberTextBox id="ntbHeaderHeight" runat="server" minimumvalue="1" maximumvalue="2000"
                                required="true" name="Header Height" text="27" /></td>
                    </tr>
                </table>
            </div>
            <div class="buttons">
                <asp:Button id="btnSaveHeader" runat="server" text="Save" onclick="btnSaveHeader_Click" />
                <asp:Button id="btnCancelEditHeader" runat="server" text="Cancel" causesvalidation="false" />
            </div>
        </asp:Panel>
    </asp:Panel>
</asp:Panel>