﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ContactForm.ascx.cs" Inherits="Controls_Blocks_ContactForm" %>
<%@ Register tagprefix="dsc" tagname="EmailTextBox" src="~/Controls/EmailTextBox.ascx" %>
<%@ Register tagprefix="dsc" tagname="AddressDisplay" src="~/Controls/AddressDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="BlockEditor" src="~/Controls/Blocks/BlockEditor.ascx" %>

<dsc:BlockEditor id="editor" runat="server" />
<asp:Panel id="pnlBlockContent" runat="server">
    <div style="margin-top:10px; margin-bottom:10px;">
        <dsc:AddressDisplay id ="adAddress" runat="server">
        </dsc:AddressDisplay>
    </div>
    <hr />
    <div style="margin-top:10px;">
        <asp:ValidationSummary id="vdsContact" runat="server" showsummary="true" validationgroup="contact" />
        <table>
            <tr>
                <td class="FormSectionText">Your Full Name:</td>
                <td>*</td>
                <td class="FormSectionValue">
                    <asp:TextBox id="txtName" runat="server" width="300"></asp:TextBox>
                    <asp:RequiredFieldValidator id="rfvName" runat="server" controltovalidate="txtName" validationgroup="contact"
                        errormessage="Full Name is required field.">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td class="FormSectionText">Your Email Address:</td>
                <td>*</td>
                <td class="FormSectionValue"><dsc:EmailTextBox id="etbEmail" runat="server" validationgroup="contact" width="300"/></td>
            </tr>
            <tr>
                <td class="FormSectionText">Sale Order#:</td>
                <td></td>
                <td class="FormSectionValue"><asp:TextBox id="txtOrderNumber" runat="server" width="300"></asp:TextBox></td>
            </tr>
            <tr>
                <td class="FormSectionText">Message: <br />(1,000 characters max)</td>
                <td>*</td>
                <td class="FormSectionValue">
                    <asp:TextBox id="txtMessage" runat="server" textmode="MultiLine" rows="10" maxlength="1000" width="400"></asp:TextBox>
                    <asp:RequiredFieldValidator id="ftvMessage" runat="server" controltovalidate="txtMessage" validationgroup="contact"
                        errormessage="Message is required field.">*</asp:RequiredFieldValidator>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <asp:CheckBox id="chkCopy" runat="server" text="I would like a copy of this email." />
                </td>
            </tr>
        </table>
        <div style="text-align:center">
            <asp:Label id="lblStatus" runat="server"></asp:Label>
        </div>
        <div style="text-align:right; margin:10px 30px;">
            <asp:Button id="btnSubmit" runat="server" text="Submit" causesvalidation="true" validationgroup="contact" onclick="btnSubmit_Click" />
        </div>
    </div>
</asp:Panel>