﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_Blocks_HtmlBox : BlockUserControl {
    public string DefaultHmtlConent { get; set; }
    public string BlockTitle { get; set; }
    public string EditTitle {
        get { return editor.EditTitle; }
        set { editor.EditTitle = value; }
    }

    private Controls_HtmlEditor edtHtml {
        get { return (Controls_HtmlEditor)editor.Edit.FindControl("edtHtml"); }
    }

    protected void Page_Load(object sender, EventArgs e) {
        EnableViewState = WebUtils.IsPageEditorEnable();
        editor.BlockUserControl = this;

        HtmlData htmlData = new HtmlData() {
            Content = DefaultHmtlConent
        };

        if (null != Data) {
            htmlData = Utils.FromXml<HtmlData>(Data.ToString());
        }

        if ((null != htmlData) && (!string.IsNullOrEmpty(htmlData.Content)))
            litHtml.Text = SiteNavigation.ResolveUrlInText(htmlData.Content);

        if ((null != HeaderData) && HeaderData.Enabled)
            pnlBlockContent.CssClass = "blockContent";
        if (ShowEditor) {
            pnlBlockContent.CssClass += " BlockEditPanel";
            editor.BlockTitle = string.Format("{0} {1}", string.IsNullOrEmpty(BlockTitle) ? "HTML Box" : BlockTitle, BlockId);
            if ((null == htmlData) || string.IsNullOrEmpty(htmlData.Content))
                litHtml.Text = "HTML box is empty.";
            else 
                edtHtml.Text = htmlData.Content;
        }
    }

    protected void editor_Save(object sender, EventArgs e) {
        HtmlData data = new HtmlData();
        data.Content = edtHtml.Text;
        SaveData(data.ToXElement());
        Block.ClearCache();
        WebUtils.ReloadPage();
    }

    public class HtmlData {
        public string Content { get; set; }
    }
}
