﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_Blocks_LoginMenu : BlockUserControl {
    protected void Page_Load(object sender, EventArgs e) {
        editor.BlockUserControl = this;
        if (ShowEditor) {
            pnlBlockContent.CssClass = "BlockEditPanel";
            editor.BlockTitle = string.Format("LoginMenu {0}", BlockId);
        }

        bool isCartPage = WebUtils.IsCurrentPage(SiteNavigation.CartPage);
        Label lblCart = lvTop.FindControl("lblCart") as Label;
        if (null != lblCart) {
            Cart cart = Cart.Get();
            if (null != cart)
                lblCart.Text = string.Format("({0} Items {1:C})", isCartPage ? cart.InstockItemsCount : cart.ItemsCount, isCartPage ? cart.InstockSubTotal : cart.SubTotal);
        }
    }

    protected void lnkLogout_Click(object sender, EventArgs e) {
        FormsAuthentication.SignOut();
        WebUtils.ClearDiscountGroupFromSession();
        WebUtils.SetPageEditor(false);
        Response.Redirect(SiteNavigation.HomePage);
    }
}
