//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using AjaxControlToolkit;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_ComboBox : ValidatableUserControl {
    public string Name { get; set; }
    public string Text {
        get { return txtTextInput.Text; }
        set { txtTextInput.Text = value; }
    }
    public Unit TextboxWidth {
        get { return txtTextInput.Width; }
        set { txtTextInput.Width = value; }
    }
    public Unit DropdownWidth {
        get { return lstPopup.Width; }
        set { lstPopup.Width = value; }
    }
    public object DataSource {
        get { return lstPopup.DataSource; }
        set { lstPopup.DataSource = value; }
    }
    public string DataTextField {
        get { return lstPopup.DataTextField; }
        set { lstPopup.DataTextField = value; }
    }
    public string DataValueField {
        get { return lstPopup.DataValueField; }
        set { lstPopup.DataValueField = value; }
    }
    public int Rows {
        get { return lstPopup.Rows; }
        set { lstPopup.Rows = value; }
    }
    public bool Required {
        get { return rfvTextInput.Visible; }
        set { rfvTextInput.Visible = value; }
    }
    public bool FilterEnabled {
        get { return FilteredTextBox.Enabled; }
        set { FilteredTextBox.Enabled = value; }
    }
    public FilterTypes FilterType {
        get { return FilteredTextBox.FilterType; }
        set { FilteredTextBox.FilterType = value; }
    }
    public string ValidChars {
        get { return FilteredTextBox.ValidChars; }
        set { FilteredTextBox.ValidChars = value; }
    }

    public override void DataBind() {
        base.DataBind();
        lstPopup.DataBind();
    }

    protected void Page_PreRender(object sender, EventArgs e) {
        if (!string.IsNullOrEmpty(Name)) {
            rfvTextInput.ErrorMessage = string.Format("{0} is required.", Name);
        }
    }

    protected void lstPopup_SelectedIndexChanged(object sender, EventArgs e) {
        ListBox lstPopup = (ListBox)sender;
        PopupControlExtenderDropdown.Commit(lstPopup.SelectedValue);
    }
}
