﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_Core_Login : BlockUserControl {
    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            string returnUrl = Utils.GetParameter("ReturnUrl", null);
            btnRegister.OnClientClick = string.Format("window.open('{0}{1}', '_self'); return false;",
                SiteNavigation.RegisterPage, string.IsNullOrEmpty(returnUrl) ? "" : "?ReturnUrl=" + returnUrl);
            lgn1.PasswordRecoveryUrl = SiteNavigation.PasswordRecoveryPage;

            // Set default focus and default button
            Page.SetFocus(lgn1.FindControl("UserName"));
            Control c = lgn1.FindControl("LoginButton");
            Page.Form.DefaultButton = c.UniqueID;
        }
    }

    protected void lgn1_LoggingIn(object sender, LoginCancelEventArgs e) {
    }

    protected void lgn1_LoggedIn(object sender, EventArgs e) {
        WebUtils.WriteDiscountGroupToSession(lgn1.UserName);
        Response.Redirect(Utils.GetParameter("ReturnUrl", SiteNavigation.HomePage));
    }
}
