﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

using DSC = DotShoppingCart.OpenSource.Core;
using DotShoppingCart.OpenSource.Core;

public partial class Controls_Core_MyAccount : BlockUserControl {
    protected void Page_Load(object sender, EventArgs e) {
        if (!Page.User.Identity.IsAuthenticated)
            Response.Redirect(SiteNavigation.LoginPage + "?ReturnUrl=MyAccount.aspx");

        if (!IsPostBack) {
            DSC.User user = DSC.User.GetUser(Page.User.Identity.Name);
            billingAddress.InitialAddressToDisplay = user.Address;

            accountOptional.User = user;
            odsOrders.SelectParameters.Add("userName", Page.User.Identity.Name);
        }
        // workaround for the bug http://www.codeplex.com/AtlasControlToolkit/WorkItem/View.aspx?WorkItemId=8255
        if (!string.IsNullOrEmpty(hidActiveTab.Value))
            tbcMyAccount.ActiveTabIndex = int.Parse(hidActiveTab.Value);
    }

    protected void CommandBtn_Click(object sender, CommandEventArgs e) {
        if (Page.IsValid) {
            switch (e.CommandName) {
                case "UpdateBilling":
                    DSC.User.UpdateUserBillingAddress(Page.User.Identity.Name, billingAddress.FirstName, billingAddress.LastName, billingAddress.CompanyName, billingAddress.Address, billingAddress.Address2,
                        billingAddress.City, billingAddress.State, billingAddress.CountryId, billingAddress.Zipcode, billingAddress.Phone, billingAddress.PhoneExt);
                    lblUpdateBillingStatus.Text = "Your billing address was updated successfully.";
                    break;
                case "UpdateOptional":
                    DSC.User.UpdateUserOptional(Page.User.Identity.Name, accountOptional.NewsLetter);
                    lblUpdateOptionalStatus.Text = "Your optional account information was updated successfully.";
                    break;
            }
        }
    }
}
