//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using DotShoppingCart.OpenSource.Core;

public partial class Controls_NumberTextBox : ValidatableUserControl {
    private string name;
    public string Name {
        set { name = value; }
    }

    public bool Required {
        set { rfvNumber.Visible = value; }
    }

    public string Text {
        get { return txtInput.Text; }
        set { txtInput.Text = value; }
    }

    public int Value {
        get { return int.Parse(txtInput.Text); }
        set { txtInput.Text = value.ToString(); }
    }
    
    public Unit Width {
        get { return txtInput.Width; }
        set { txtInput.Width = value; }
    }

    public bool Enabled {
        get { return txtInput.Enabled; }
        set { txtInput.Enabled = value; }
    }

    public string MinimumValue {
        get { return rvdNumber.MinimumValue; }
        set { 
            rvdNumber.MinimumValue = value;
            rvdNumber.Visible = true;
        }
    }

    public string MaximumValue {
        get { return rvdNumber.MaximumValue; }
        set { 
            rvdNumber.MaximumValue = value;
            rvdNumber.Visible = true;
        }
    }
    
    protected void Page_PreRender(object sender, EventArgs e) {
        if (!IsPostBack) {
            rvdNumber.ErrorMessage += string.Format("must be between {0} and {1}.", rvdNumber.MinimumValue, rvdNumber.MaximumValue);
        }

        if (!string.IsNullOrEmpty(name)) {
            cvdNumber.ErrorMessage = string.Format("{0} is not a valid number.", name);
            rfvNumber.ErrorMessage = string.Format("{0} is required.", name);
            rvdNumber.ErrorMessage = string.Format("{0} must be between {1} and {2}.", name, rvdNumber.MinimumValue, rvdNumber.MaximumValue);
        }
    }

    protected void cvdNumber_ServerValidate(object source, ServerValidateEventArgs args) {
        CustomValidator cvd = (CustomValidator)source;
        TextBox txtInput = (TextBox)cvd.NamingContainer.FindControl(cvd.ControlToValidate);
        int value;
        args.IsValid = int.TryParse(txtInput.Text, out value);
    }
}
