<%@ Application Language="C#" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>
<%@ Import namespace="DotShoppingCart.OpenSource.OrderPipeline" %>
<%@ Import namespace="Microsoft.Practices.EnterpriseLibrary.ExceptionHandling" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) {
        OrderPipelineController.Start();
    }
    
    void Application_End(object sender, EventArgs e) {
        OrderPipelineController.Stop();
    }
        
    void Application_Error(object sender, EventArgs e) {
        if (Utils.IsProductionServer()) {
            Exception ex = Server.GetLastError();
            if (null != ex) {
                //handle exception here
                ex.Data.Add("Url", Request.Url.AbsoluteUri); 
                ex.Data.Add("RawUrl", Request.RawUrl);
                ex.Data.Add("UseAgent", Request.UserAgent);
                ex.Data.Add("UrlReferrer", Request.UrlReferrer);
                ex.Data.Add("IPAddress", Request.UserHostAddress);

                bool rethrow = ExceptionPolicy.HandleException(ex, "Unhandled Policy");
                if (!rethrow)
                    Server.ClearError();
            }
        }
    }

    void Session_Start(object sender, EventArgs e) {
    }

    void Session_End(object sender, EventArgs e) {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
    
    protected void Application_BeginRequest(Object sender, EventArgs e) {
    }

    public void Profile_OnMigrateAnonymous(object sender, ProfileMigrateEventArgs args) {
        Cart.Migrate(HttpContext.Current.Session.SessionID, Utils.GetUserName());

        ProfileManager.DeleteProfile(args.AnonymousID);
        AnonymousIdentificationModule.ClearAnonymousIdentifier();
    }
</script>
