﻿<%@ Control Language="C#" AutoEventWireup="true" CodeFile="Checkout.ascx.cs" Inherits="Store_Checkout" %>
<%@ Register tagprefix="dsc" tagname="addressmanager" src="~/Controls/addressmanager.ascx" %>
<%@ Register tagprefix="dsc" tagname="AddressDisplay" src="~/Controls/AddressDisplay.ascx" %>
<%@ Register tagprefix="dsc" tagname="AddressInput" src="~/Controls/AddressInput.ascx" %>
<%@ Register tagprefix="dsc" tagname="PaymentSummary" src="PaymentSummary.ascx" %>
<%@ Register tagprefix="dsc" tagname="SelectPaymentOption" src="SelectPaymentOption.ascx" %>
<%@ Register tagprefix="dsc" tagname="SelectShippingMethod" src="SelectShippingMethod.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderSummary" src="OrderSummary.ascx" %>
<%@ Register tagprefix="dsc" tagname="OrderTotal" src="OrderTotal.ascx" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>


<asp:Panel id="pnlPaypalCheckout" runat="server" horizontalalign="Right">
    <asp:ImageButton id="btnExpressCheck" runat="server" imageurl="~/dbfile.axd?name=btn_xpressCheckout.gif"
        onclick="btnExpressCheck_Click" causesvalidation="false" />
</asp:Panel>

<asp:Panel id="pnlResult" runat="server" visible="false" >
    <asp:Label id="lblResult" runat="server" cssclass="error"></asp:Label>
    <div style="height:10px"></div>
</asp:Panel>

<asp:Wizard id="wzdCheckout" runat="server" displaysidebar="false" width="100%">
    <WizardSteps>
        <asp:WizardStep id="wzsShipping" runat="server">
            <div style="font-size:medium; color:Gray; text-align:center;">
                <span class="highlightHeader" style="font-weight:bold;">1. Shipping</span> >>> 2. Billing >>> 3. Submit Order
            </div>
            <div>
                <dsc:addressmanager id="addressManager" runat="server" checkout="true" onselected="addressManager_Selected" />
            </div>
        </asp:WizardStep>
        <asp:WizardStep id="wzsBilling" runat="server">
            <div style="font-size:medium; color:Gray; text-align:center;">
                <span class="highlightHeader"><asp:LinkButton id="lbtShipping" runat="server" cssclass="highlightHeader" text="1. Shipping" onclick="lbtChangeIndexClick" causesvalidation="false"></asp:LinkButton> >>> 
                <span style="font-weight:bold">2. Billing</span></span> >>> 3. Submit Order
            </div>
            <div id="dvSelectPaymentMethod" runat="server" class="error" style="margin-top:10px;" visible="false">
                You haven't selected a payment method to pay the order. Please select one of the followings.
            </div>
            <h3>Please select a payment method</h3>
            <div style="display:none;">
                <dsc:addressinput id="aiShipping" runat="server" />
            </div>
            <dsc:SelectPaymentOption id="paymentOption" runat="server" validationgroup="billing"/>
            <div style="text-align:right; margin-top:10px;"><asp:Button id="btnContinue" runat="server" text="Continue" onclick="btnContinue_Click" validationgroup="billing"/></div>
        </asp:WizardStep>
        <asp:WizardStep id="wzsSubmitOrder" runat="server">
            <div style="font-size:medium; color:Gray; text-align:center;">
                <span class="highlightHeader"><asp:LinkButton id="lbtShipping1" runat="server" cssclass="highlightHeader" text="1. Shipping" onclick="lbtChangeIndexClick" causesvalidation="false"></asp:LinkButton> >>> 
                <asp:LinkButton id="lbtBilling" runat="server" cssclass="highlightHeader" text="2. Billing" onclick="lbtChangeIndexClick"></asp:LinkButton> >>>
                <span style="font-weight:bold">3. Submit Order</span></span>
            </div>
            <div><h3>Review the information below, then click "Submit Order".</h3></div>
            <asp:ValidationSummary id="vdsSumbitOrder" runat="server" headertext="<b>The following error(s) were found:</b>" showsummary="true" validationgroup="shipping" />
            <div style="text-align:right"><asp:Button id="btnSubmitTop" runat="server" text="Submit Order" validationgroup="shipping" onclick="btnSubmitOrder_Click" /></div>
            <table width="100%" cellspacing="0">
                <tr>
                    <td>
                        <div class="sectionheader">Ship To: <asp:Button id="btnChangeShipping" runat="server" text="Change" onclick="btnChangeShipping_Click" /></div>
                        <dsc:AddressDisplay id ="adShippingAddress" runat="server"></dsc:AddressDisplay>
                    </td>
                    <td>
                        <div class="sectionheader">Payment Method: <asp:Button id="btnChangePayment" runat="server" text="Change" onclick="btnChangePayment_Click" /></div>
                        <dsc:PaymentSummary id="paymentSummary" runat="server"></dsc:PaymentSummary>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <div class="sectionheader">Choose Shipping Method:
                            <asp:CustomValidator id="cvdShippingMethod" runat="server" onservervalidate="cvdShippingMethod_ServerValidate" validationgroup="shipping" errormessage="You need to choose one shipping method.">*</asp:CustomValidator>
                        </div>
                        <asp:UpdatePanel id="updatePanelShippingMethod" runat="server">
                            <ContentTemplate>
                                <dsc:SelectShippingMethod id="selectShippingMethod" runat="server"></dsc:SelectShippingMethod>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
            </table>
            <div class="sectionheader">Order Summary: <asp:Button id="btnChangeOrder" runat="server" text="Change" onclick="btnChangeOrder_Click" /></div>
            <div style="height:10px;"></div>
            <dsc:OrderSummary id="orderSummary" runat="server"></dsc:OrderSummary>
            <asp:UpdateProgress id="UpdateProgress2" runat="server" associatedupdatepanelid="updatePanelShippingMethod">
                <ProgressTemplate>
                    <div>
                        <img src="<%=FileController.GetFileUrl("spinner.gif")%>" style="vertical-align:middle;" alt=""/> Processing...
                    </div>
                </ProgressTemplate>
            </asp:UpdateProgress>
            <asp:UpdatePanel id="updatePanelOrderTotal" runat="server">
                <ContentTemplate>
                    <dsc:OrderTotal id="orderTotal" runat="server"></dsc:OrderTotal>
                </ContentTemplate>
            </asp:UpdatePanel>
            <div><h3>Review the information above, then click "Submit Order".</h3></div>
            <asp:Panel id="pnlPaypalStandardPrompt" runat="server">
                <div>After you click the "Submit Order" button, you will be redirected to PayPal.com to pay for this order. 
                Once payment is completed, please be sure to let PayPal redirect you back to our site. 
                When PayPal redirects you, they send along your transaction information which we need in order to complete and reconcile your payment.
                </div>
            </asp:Panel>
            <div style="text-align:right">
                 <asp:Button id="btnSubmit" runat="server" text="Submit Order" validationgroup="shipping" onclick="btnSubmitOrder_Click" />
            </div>
        </asp:WizardStep>
    </WizardSteps>
    <StartNavigationTemplate>
    </StartNavigationTemplate>
    <StepNavigationTemplate>
    </StepNavigationTemplate>
    <FinishNavigationTemplate>
    </FinishNavigationTemplate>
</asp:Wizard>