//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_OrderDetail : System.Web.UI.UserControl {
    private int orderId = 0;

    public int OrderId {
        get { return orderId; }
        set { orderId = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (orderId > 0) {
            Order order = Order.Get(orderId);
            if (null != order) {
                adShippingAddress.Address = order.ShippingAddress;
                adShippingAddress.DataBind();
                paymentSummary.CheckoutPaymentType = order.CheckoutPaymentType.TypeEnum;
                paymentSummary.CreditCard = order.CreditCard;
                paymentSummary.CustomField = order.CustomField;
                adBillingAddress.Address = order.BillingAddress;
                adBillingAddress.DataBind();
                orderItems.Items = order.OrderItems;
                orderItems.OrderId = orderId;
                orderTotal.OrderTotals = order.OrderTotals;
                lblShippingMethod.Text = order.ShippingMethod;
                lblOrderNumber.Text = order.OrderNumber;
                lblOrderStatus.Text = order.OrderStatus.Status;
                lblOrderDate.Text = order.Created.ToShortDateString();
                rptShipTracks.DataSource = order.ShipTrackings;
                rptShipTracks.DataBind();
            }
        }
    }
}
