<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderItems.ascx.cs" Inherits="Controls_OrderItems" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<dsc:DSCGridView id="gvwOrderItems" runat="server" datakeynames="OrderItemId" autogeneratecolumns="false" width="100%" 
    allowsorting="true" headerstyle-horizontalalign="left" onsorting="gvwOrderItems_Sorting">
    <Columns>
        <asp:TemplateField headertext="Image" headerstyle-width="80">
            <ItemTemplate>
                <div>
                    <a href='<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("SKU")) %>' target="_blank">
                        <img alt="<%# Eval("ProductName") %>" src="<%# FileController.GetImageUrl((int?)Eval("ImageId"), 80, 60) %>" />
                    </a>
                </div>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Product Description" sortexpression="ProductName">
            <ItemTemplate>
                <div>
                    <a href="<%# SiteNavigation.GetRewriterUrl("Product", (string)Eval("SKU")) %>"><%# Eval("ProductName") %></a>
                </div>
                <asp:Repeater id="rptAttributes" runat="server" datasource='<%# Eval("Attributes") %>'>
                    <ItemTemplate>
                        <div>
                            <span style="font-weight:bold"><%# Eval("Key") %></span> : <%# Eval("Value") %>
                        </div>
                    </ItemTemplate>
                </asp:Repeater>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="SKU" itemstyle-width="100px" sortexpression="SKU">
            <ItemTemplate>
                <%# Eval("SKU")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField datafield="Price" headertext="Unit Price" dataformatstring="{0:C}" htmlencode="false" itemstyle-width="100px" sortexpression="Price" />
        <asp:TemplateField headertext="Qty." itemstyle-width="50px" sortexpression="Quantity">
            <ItemTemplate>
                <%# Eval("Quantity")%>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField datafield="TotalPrice" headertext="Total Price" dataformatstring="{0:C}" htmlencode="false" itemstyle-width="100px" sortexpression="TotalPrice"/>
    </Columns>
</dsc:DSCGridView>