<%@ Control Language="C#" AutoEventWireup="true" CodeFile="OrderList.ascx.cs" Inherits="Controls_OrderList" %>
<%@ Import namespace="DotShoppingCart.OpenSource.Core" %>

<dsc:DSCGridView id="gvwOrderList" runat="server" autogeneratecolumns="false" allowsorting="true" allowpaging="true" pagesize="50" showrownumber="true">
    <Columns>
        <asp:TemplateField headertext="Order Number" itemstyle-width="150px" sortexpression="orderNumber">
            <ItemTemplate>
                <asp:HyperLink id="lnkOrderDetail" runat="server" text='<%# Eval("OrderNumber") %>' 
                    navigateurl='<%# string.Format("{0}?oid={1}", UseAdminLink ? SiteNavigation.OrderEditPage : SiteNavigation.OrderDetailPage, (int)Eval("OrderId")) %>'></asp:HyperLink>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:BoundField headertext="Date Purchased" datafield="Created" itemstyle-width="160px" sortexpression="created"/>
        <asp:TemplateField headertext="Customer" itemstyle-width="200px">
            <ItemTemplate>
                <asp:HyperLink id="lnkUser" runat="server" text='<%# Eval("BillingAddress.FirstName") + " " + Eval("BillingAddress.LastName")%>' 
                    navigateurl='<%# string.Format("{0}?uid={1}", SiteNavigation.UserEditPage, (int)Eval("UserId")) %>'></asp:HyperLink>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Order Total" itemstyle-width="100px">
            <ItemTemplate>
                <%# Eval("OrderTotalAmount", "{0:c}") %>
            </ItemTemplate>
        </asp:TemplateField>
        <asp:TemplateField headertext="Status" itemstyle-width="300px" sortexpression="orderStatusId">
            <ItemTemplate>
                <%# Eval("OrderStatus.Status") %>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
</dsc:DSCGridView>