//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections.Generic;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;
using DotShoppingCart.OpenSource.Payment;

public partial class PaypalPDTHandler : System.Web.UI.Page {
    private PaypalStandardPaymentProvider paypalStandardProvider;
    private PaypalStandardPaymentProvider PaypalStandardProvider {
        get {
            if (null == paypalStandardProvider)
                paypalStandardProvider = PaypalStandardPaymentProvider.GetProvider();
            return paypalStandardProvider;
        }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            string tx = Utils.GetParameter("tx");
            Dictionary<string, string> values;
            string response;
            if (PaypalStandardProvider.GetPDTDetails(tx, out values, out response)) {
                decimal total = decimal.Parse(values["mc_gross"]);
                string orderNumber = values["custom"];
                Order order = Order.Get(orderNumber);
                PaymentTransaction trans = new PaymentTransaction();
                trans.PaymentGatewayType = PaymentGatewayType.Paypal_Standard;
                trans.PaymentTransactionType = PaymentTransactionType.Authorize;
                trans.Amount = total;
                trans.TransactionDate = DateTime.Now;
                trans.AuthorizationCode = string.Format("{0}, {1}", values["payment_type"], values["payer_id"]);
                trans.AVS = values["payer_status"];
                trans.CVV = values["payment_status"];
                trans.Debug = response;
                trans.Success = true;
                trans.Add(order.OrderNumber);

                order.SetToNextStatusInPipeline(string.Format("Received payment notification from PayPal. Total Charge: {0}.", total));
                Response.Redirect(SiteNavigation.CheckoutCompletePage);
            } else {
                ApplicationException ex = new ApplicationException("PayPal PDT failed");
                ex.Data.Add("response", response);
                throw ex;
            }
        }
    }
}
