﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_ProductDetail_DefaultTemplate : ProductDetailTemplate {
    private bool showOutofStock;

    private Product product;
    public override Product Product {
        get { return product; }
        set { product = value; }
    }

    public override List<int> SelectedAttributeValueIds {
        get { return attributeSelection.SelectedAttributeValueIds; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        //attributeSelection is loaded dynamically. So we need to set it even it's in postback
        attributeSelection.ProductAttributes = product.ProductAttributes;
        bool globleShowOutofStock = StoreConfigurationSection.GetSection().ShowStock;
        attributeSelection.ShowOutofStock = showOutofStock = ((null == product.ShowIfOutofStock) && globleShowOutofStock) || (product.ShowIfOutofStock ?? false);

        if (!IsPostBack) {
            pmlManufacturer.Manufacturer = Product.Manufacturer;
            productPrices.Product = product;
            dtlImageViewer.DataSource = product.GetProductAllImages(showOutofStock);
            dtlImageViewer.DataBind();
        }
    }
}
