﻿//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_ProductDetail_ProductPrices : System.Web.UI.UserControl {
    private Product product;
    public Product Product {
        get { return product; }
        set { product = value; }
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            if (WebUtils.IsDiscountGroup()) {
                lblCrossPriceTitle.Text = "Retail Price:";
                lblCurrentPriceTitle.Text = "Your Discounted Price:";
                lblCrossPrice.Text = product.Price.ToString("c");
                lblCurrentPrice.Text = WebUtils.GetDiscountPrice(product.Price).ToString("c");
            } else {
                if (null != product.SalePrice) {
                    lblCrossPriceTitle.Text = "Original Price:";
                    lblCurrentPriceTitle.Text = "Sale Price:";
                    lblCrossPrice.Text = product.Price.ToString("c");
                    lblCurrentPrice.Text = ((Decimal)product.SalePrice).ToString("c");
                    lblSave.Text = string.Format("{0:0%} off", product.SavePercentage);
                    rowYouSave.Visible = true;
                } else if (null != product.RetailPrice) {
                    lblCurrentPriceTitle.Text = "Our Price:";
                    lblCrossPrice.Text = ((Decimal)product.RetailPrice).ToString("c");
                    lblCurrentPrice.Text = product.Price.ToString("c");
                    lblSave.Text = string.Format("{0:0%} off", product.SavePercentage);
                    rowYouSave.Visible = true;
                } else {
                    rowCrossPrice.Visible = false;
                    lblCurrentPriceTitle.Text = "Price:";
                    lblCurrentPrice.Text = product.Price.ToString("c");
                }
            }
            lblAvailability.Text = Product.ShipEstimate.Estimate;
        }
    }
}
