//------------------------------------------------------------------------------
// The contents of this file are subject to the DotShoppingCart Public License Version 1.0 ("License"); you may not use this file except in compliance with the License.
// You may obtain a copy of the License at  http://www.dotshoppingcart.com/Page/license.aspx. 
// Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. 
// See the License for the specific language governing rights and limitations under the License.
// 
// The Original Code is DotShoppingCart.
// The Initial Developer of the Original Code is XShan Corp.
// All Rights Reserved.
// 
// Contributor(s): _______. 
//------------------------------------------------------------------------------

using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using DotShoppingCart.OpenSource.Core;

public partial class Controls_ProductSummary_Price : ProductSummaryUserControl {
    protected void Page_Load(object sender, EventArgs e) {

    }

    public override void DataBind() {
        base.DataBind();

        if (WebUtils.IsDiscountGroup()) {
            lblCrossPrice.Text = Product.Price.ToString("c");
            lblCurrentPrice.Text = WebUtils.GetDiscountPrice(Product.Price).ToString("c");
        } else {
            if (null != Product.SalePrice) {
                lblCrossPrice.Text = Product.Price.ToString("c");
                lblCurrentPrice.Text = ((Decimal)Product.SalePrice).ToString("c");
                lblSave.Text = string.Format("Save {0:0%} off", Product.SavePercentage);
                lblSave.Visible = true;
            } else if (null != Product.RetailPrice) {
                lblCrossPrice.Text = ((Decimal)Product.RetailPrice).ToString("c");
                lblCurrentPrice.Text = Product.Price.ToString("c");
            } else {
                lblCrossPrice.Visible = false;
                lblCurrentPrice.Text = Product.Price.ToString("c");
            }
        }

    }
}
